% --------------------------STATE EQUATIONS-------------------------- 

function dxdt=IMstart2f(t,x,Rs,Rr,Lm, Lsl,Lrl, p, Vs ,wo, km,J,Bm,TLf)
        
  wm=x(5) ;
                if km==1,  wk=0;                  
                   elseif km==2,  wk=wo;          
                   elseif km==3, wk=wm;
                end
      
        if t<0.7, TL=0;else TL=TLf; end
 
 vas=Vs*cos(wo*t);    vbs=Vs*sin(wo*t);
 
 vds=vas*cos(x(6))+vbs*sin(x(6)) ;
 vqs=-vas*sin(x(6))+vbs*cos(x(6)) ; 
 
    V=[vds vqs 0 0]';
    I=[x(1) x(2) x(3) x(4)]'; 
    
    R=diag([Rs Rs Rr Rr]);
    
   Ls=Lsl+Lm ; Lr=Lrl+Lm;
   L=[Ls  0   Lm  0   
      0   Ls  0   Lm 
      Lm  0   Lr  0
      0   Lm  0   Lr];
    
    W=[0        -wk         0        0
      wk         0          0        0
       0         0          0     -(wk-wm)
       0         0       (wk-wm)     0   ];
   
    Q=R+W*L;  
    
    Te=(3/2)*(p/2)*Lm*(x(2)*x(3)-x(1)*x(4));
  %%% Matrix formulation of induction machine equations in common reference frame  
  %%% F = L*I
  %%% V= R*I + W*F + dF/dt = R*I + W*L*I +dF/dt = (R + W*L)*I + L*dI/dt      
  
   didt=L\(V-Q*I);
   dwmdt=p/2*(Te-TL)/J-Bm/J*wm;
   dxdt=[didt;dwmdt;wk]; % State equations