%      Actuator in steady state                            [actss.m]
clc,clear,close all
x=0.5:.01:5;                % x [mm]
c=pi*2e-5;I=0.50;K=2.5;     % I [A]   &  K [N/mm]
 f_elec=0.5*c*I*I*1e6./x.^2;
 f_mech1=K*(3-x); f_mech2=K*(3-x)+4;
 force1=inline('5*2*pi*.25./x.^2 +2.5*(x-3)');
 force2=inline('5*2*pi*.25./x.^2 +2.5*(x-3)-4');
 x1=fzero(force1,1)  ;    f1=2.5*(3-x1);
 x2=fzero(force2,4)  ;    f2=2.5*(3-x2)+4;
 disp('    x [mm]     f [N]')
op0=[3 0]
op1=[x1 f1]
op2=[x2 f2]
h0=figure('Position',[200 50 795 520],'Name','Actuator static characteristics',...
   'NumberTitle','off');
plot(x,f_elec,x,f_mech1,x,f_mech2,x1,f1,'ow',x2,f2,'ow',3,0,'ow'),
  title('ACTUATOR OPERATING POINTS'),
  xlabel('DISTANCE [mm]'),ylabel('FORCE [N]'),grid
  axis([0.5 5 0 12]);
  gtext('op0') ,gtext('op1'),gtext('op2'),axis;
