%      Actuator in steady state           [actsscalc.m]
global k I K fa xsi
clc
h=findobj(gcf,'Tag','k');k=str2num(get(h,'string'));
h=findobj(gcf,'Tag','I');I=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Ks');K=str2num(get(h,'string'));
h=findobj(gcf,'Tag','xm');xm=str2num(get(h,'string'));
h=findobj(gcf,'Tag','fm');fm=str2num(get(h,'string'));
h=findobj(gcf,'Tag','fa');fa=str2num(get(h,'string'));
h=findobj(gcf,'Tag','xsi');xsi=str2num(get(h,'string'));
Xsi=xsi*0.001;
x=0.001*[0+eps:.01:xm];                % x [m]

 f_elec=0.5*k*I*I./x.^2;
 f_mech1=K*(Xsi-x); f_mech2=K*(Xsi-x)+fa;

 x1=fzero(@force1,.001)  ;    f1=K*(Xsi-x1);
 x2=fzero(@force1,1)  ;       f2=K*(Xsi-x2);
 x3=fzero(@force2,.001)  ;    f3=K*(Xsi-x3)+fa;
 x4=fzero(@force2,1)  ;       f4=K*(Xsi-x4)+fa;
 if x1<0 ,x1=[];f1=[]; end
 if x2<0 ,x2=[];f2=[]; end
 if x3<0 ,x3=[];f3=[]; end
 if x4<0 ,x4=[];f4=[]; end
 % in mm
  X5=(fa/K+Xsi)*1000;
 X1=x1*1000; X2=x2*1000; X3=x3*1000; X4=x4*1000;
 h1=findobj('tag','X1');set(h1,'String',num2str(X1));     
 h2=findobj('tag','X2');set(h2,'String',num2str(X2)) ; 
 h3=findobj('tag','X3');set(h3,'String',num2str(X3));
 h4=findobj('tag','X4');set(h4,'String',num2str(X4));     
 h5=findobj('tag','X5');set(h5,'String',num2str(X5)) ; 
 h6=findobj('tag','f1');set(h6,'String',num2str(f1));
 h7=findobj('tag','f2');set(h7,'String',num2str(f2));
 h8=findobj('tag','f3');set(h8,'String',num2str(f3));
 h9=findobj('tag','f4');set(h9,'String',num2str(f4));
% h10=findobj('tag','plt');
  plot(x*1000,f_elec,'r',x*1000,f_mech1,x*1000,f_mech2),hold on
  legend('Electrical force fe = 0.5kI^2/x^2',...
      'Mechanical force fm1 = K({\xi}-x)  [SI]','Mechanical force fm2 = K({\xi}-x)+fa')
  legend('boxon')
  plot(X1,f1,'rs','MarkerSize',6)
  plot(X2,f2,'og',xsi,0,'og')
  plot(X3,f3,'rs','MarkerSize',6)
  plot(X4,f4,'og',X5,0,'og')

  title('ACTUATOR OPERATING POINTS','color','blue','fontweight','bold')
  xlabel('GAP LENGTH [mm]'),ylabel('FORCE [N]'),grid
  axis([0 xm 0 fm]);
  hold off
 %