%   ALTERNATOR
clc,clear,close all
disp(date)
info= ...
        ['                   ALTERNATOR                       '
         'The elementary 3-phase 2-pole synchronous generator '
         'has a stator equipped with 3 coils displaced 120o   '
         'from each other;although shown as concentrated, they'
         'actually are distributed.                           '
         'When the rotor is excited with dc and rotated, the  '
         'resultant field will also rotate so that sinusoidal '
         'voltages are generated in the three stator phases,  '
         'displaced 120o in time and having a frequency       '
         'directly related to rotor speed.                    '
         '                                                    '];                                       
         
disp(info)
avialt=avifile('alternator.avi','compression','cinepak');
n=126;
dphi=2*pi/n;phis=pi/2;phim=0;g=pi/3;e=0;r1=.62;alpha=2*pi/3;r2=.8;r3=.5;
%
    figure('Units','normalized','Position',[0.05 0.17 .6 .55],'Name','Alernator','NumberTitle','on') 
 set(gcf,'color','w')     
    for k=1:n
 
 subplot(1,2,1)
 
      Fa1=r1*cos(phis);Fb1=r1*sin(phis);
      Fa2=r1*cos(phis+g);Fb2=r1*sin(phis+g);
      Fa3=r1*cos(phis+2*g);Fb3=r1*sin(phis+2*g);
      Fa4=r1*cos(phis+3*g);Fb4=r1*sin(phis+3*g);
      Fa5=r1*cos(phis+4*g);Fb5=r1*sin(phis+4*g);
      Fa6=r1*cos(phis+5*g);Fb6=r1*sin(phis+5*g);
      
      theta=0:pi/30:2*pi; 
      
      fA=cos(theta);
      fB=cos(theta-alpha);
      fC=cos(theta+alpha);
      fAo=cos(phim);
      fBo=cos(phim-alpha);
      fCo=cos(phim+alpha);
      tA=abs(fAo);
      tB=abs(fBo);
      tC=abs(fCo);
      p=0:pi/20:2*pi;
      X= r2*cos(p) ;Y=r2*sin(p);       
      x=r3*cos(p) ;y=r3*sin(p);
     
      d3=.45*sqrt(2)/2;
      x3=[.45*cos(pi/4:pi/20:3*pi/4) -d3 -.25 -.25 .45*cos(5*pi/4:pi/20:7*pi/4) .25 .25 d3];
      y3=[.45*sin(pi/4:pi/20:3*pi/4) d3 d3 -d3 .45*sin(5*pi/4:pi/20:7*pi/4) -d3 d3 d3];
      
      fill(X,Y,[.7 .7 .7],'linewidth',1.5),hold on
      axis('equal')
      fill(x,y,[1 1 1],'linewidth',1.5)
      h3=fill(x3,y3,[.7 .7 .7],'linewidth',1.5);
      rotate(h3,[0 0 1],e,[0 0 0])
                 
      h1=fill([.25 .4 .4 .25 .25],[-.2 -.2 .2 .2 -.2],'c');
      rotate(h1,[0 0 1],e,[0 0 0])
      h2=fill([-.4 -.25 -.25 -.4 -.4],[-.2 -.2 .2 .2 -.2],'c');
      rotate(h2,[0 0 1],e,[0 0 0])
      h4=plot([.25 .4],[-.2 .2],'k',[.4 .25],[-.2 .2],'k','LineWidth',1);
      rotate(h4,[0 0 1],e,[0 0 0])
      h6=plot([-.4 -.25],[-.2 .2],'k',[-.25 -.4],[-.2 .2],'k','LineWidth',1);
      rotate(h6,[0 0 1],e,[0 0 0])
      h5=plot([-.05 -.05 .05 .05],[.2 .35 .2 .35],'k','LineWidth',2.5);
      rotate(h5,[0 0 1],e,[0 0 0])
      h7=plot([-.05 0 .05 -.05 0 .05],[-.3 -.35 -.3 -.2 -.15 -.2],'k','LineWidth',2.5);
      rotate(h7,[0 0 1],e,[0 0 0])
           
      fa1=.32*cos(phim);fb1=.32*sin(phim);
      plot(fa1,fb1,'k*','MarkerSize',25,'linewidth',1.5)
      fa2=.32*cos(phim+pi);fb2=.32*sin(phim+pi);
      plot(fa2,fb2,'k.','MarkerSize',50)
      
      plot(Fa1,Fb1,'ro','MarkerSize',26,'MarkerEdgeColor','k','MarkerFacecolor','w')
      plot(Fa1,Fb1,'ro','MarkerSize',tA*23,'MarkerFacecolor','r')
      if fAo>0
        plot(Fa1,Fb1,'k.','MarkerSize',25,'LineWidth',10)
      else    
        plot(Fa1,Fb1,'kx','MarkerSize',12,'LineWidth',5)
      end  
      
      plot(Fa2,Fb2,'bo','MarkerSize',26,'MarkerEdgeColor','k','MarkerFacecolor','w')
      plot(Fa2,Fb2,'bo','MarkerSize',tC*23,'MarkerFacecolor','b')
      if fCo>0
        plot(Fa2,Fb2,'kx','MarkerSize',14,'LineWidth',4)
      else    
        plot(Fa2,Fb2,'k.','MarkerSize',20,'LineWidth',5)
      end  
      
      plot(Fa3,Fb3,'go','MarkerSize',26,'MarkerEdgeColor','k','MarkerFacecolor','w')
      plot(Fa3,Fb3,'go','MarkerSize',tB*23,'MarkerFacecolor','g')
      if fBo>0
        plot(Fa3,Fb3,'k.','MarkerSize',20,'LineWidth',5)
      else    
        plot(Fa3,Fb3,'kx','MarkerSize',14,'LineWidth',4)
      end  
     
      plot(Fa4,Fb4,'ro','MarkerSize',26,'MarkerEdgeColor','k','MarkerFacecolor','w')
      plot(Fa4,Fb4,'ro','MarkerSize',tA*23,'MarkerFacecolor','r')
      if fAo<0
        plot(Fa4,Fb4,'k.','MarkerSize',20,'LineWidth',5)
      else    
        plot(Fa4,Fb4,'kx','MarkerSize',14,'LineWidth',4)
      end  
      
      plot(Fa5,Fb5,'bo','MarkerSize',26,'MarkerEdgeColor','k','MarkerFacecolor','w')
      plot(Fa5,Fb5,'bo','MarkerSize',tC*23,'MarkerFacecolor','b')
      if fCo<0
        plot(Fa5,Fb5,'kx','MarkerSize',14,'LineWidth',4)
      else    
        plot(Fa5,Fb5,'k.','MarkerSize',20,'LineWidth',5)
      end  
      
      plot(Fa6,Fb6,'go','MarkerSize',26,'MarkerEdgeColor','k','MarkerFacecolor','w')
      plot(Fa6,Fb6,'go','MarkerSize',tB*23,'MarkerFacecolor','g')
      if fBo<0
        plot(Fa6,Fb6,'k.','MarkerSize',20,'LineWidth',5)
      else    
        plot(Fa6,Fb6,'kx','MarkerSize',14,'LineWidth',4)
      end  
      set(gca,'visible','off')
      hold off
       M(k)=getframe;
       subplot(1,2,2)
      
      plot(theta,fA,'-r','LineWidth',1.2),hold on
      plot(theta,fB,'-g','LineWidth',1.2)
      plot(theta,fC,'-b','LineWidth',1.2)
      plot([0 2*pi],[0 0],':k','Linewidth',.5)
      plot(phim,fAo,'ro','MarkerSize',6,'MarkerEdgeColor','r','MarkerFacecolor','r')
      plot(phim,fBo,'go','MarkerSize',6,'MarkerEdgeColor','g','MarkerFacecolor','g')
      plot(phim,fCo,'bo','MarkerSize',6,'MarkerEdgeColor','b','MarkerFacecolor','b')
      text(-7.9,-1.2,'Phase A','FontSize',14,'FontWeight','bold','color','red')
      text(-5.5,-1.2,'Phase B','FontSize',14,'FontWeight','bold','color','green')
      text(-3.4,-1.2,'Phase C','FontSize',14,'FontWeight','bold','color','blue')
    
      set(gca,'Xtick',0:pi/3:2*pi)
      set(gca,'Xticklabel',{'0','60','120','180','240','300','360'})     
      set(gca,'Xlim',[0 2*pi],'Ylim',[-1.1 1.101])
      plot([0 2*pi 2*pi 0 0],[-1.1 -1.1 1.1 1.1 -1.1],'-k')
      xlabel('\omegat','FontSize',15,'FontWeight','bold','color',[.5 0 .5])
     % set(gca,'visible','off')
      set(gca,'color',[.89 .94 .90])
      hold off
      %          
      f=getframe(gcf);
      avialt=addframe(avialt,f);
      phim=phim+dphi;
      e=e+360/n;
      %M(k)=getframe;
   end
   avialt=close(avialt);
   
   uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','movie(M,2)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.24 0.01 0.09 .06], ...
	'String','Repeat', ...
    'TooltipString','Repeat');
    uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','close,clear,close all', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.43 0.01 0.09 .06], ...
	'String','Quit', ...
    'TooltipString','Quit');
     
  %
