%%%%
%DTC selector
clear,clc,close all

 figure('units','normalized','Position',[.1 .1 .3 .5],'Name','DTC vector selection',...
        'NumberTitle','off');
 set(gcf,'color','w') 
dtctableb; 
col='rgbcmy';
r=4.5;ro=1;co=2;
aviwave=avifile('dtcmovieo.avi','compression','none');
for s=1:6
  w(s)=exp(1i*(s-.9)*1.04*pi/3);
  X=real(w(s)); Y=imag(w(s));
  plot(0,0,'or','MarkerSize',8,'MarkerEdgeColor','r','MarkerFacecolor','r'),hold on
  vecarrow([0 0],r*[X Y],'k');
  text(.97*r*X,1.04*r*Y,'\lambda_s','FontSize',14)

  n=1:6;   
     v(n)=exp(1i*(n-1)*pi/3);
     x(n)=real(v(n)); y(n)=imag(v(n));
 for p=1:6    
     vecarrow([0 0],[x(p) y(p)],col(p)); 
 end
 
 h1=text(1.1,0,'v_1','color','r','FontSize',14);
 h2=text(1.1,0,'v_2','color','g','FontSize',14);
 rotate(h2,[0 0 1],60,[0 0 0]);
  h3=text(1.2,0,'v_3','color','b','FontSize',14);
 rotate(h3,[0 0 1],120,[0 0 0]);
  h4=text(1.3,0,'v_4','color','c','FontSize',14);
 rotate(h4,[0 0 1],180,[0 0 0]);
  h5=text(1.1,0,'v_5','color','m','FontSize',14);
 rotate(h5,[0 0 1],246,[0 0 0]);
  h6=text(1.2,0,'v_6','color','y','FontSize',14);
 rotate(h6,[0 0 1],300,[0 0 0]);
 
 k=1:6;
    v(k)=exp(1i*(k-1)*pi/3);
     x(k)=real(v(k))+r*X; y(k)=imag(v(k))+r*Y;
      
m=b(ro,co,s);
if m==0 || m==7;   
    plot(r*X,r*Y,'or','MarkerSize',6,'MarkerEdgeColor','r','MarkerFacecolor','r')
  else
    vecarrow(r*[X Y],[x(m) y(m)],col(m));
end 

if ro==1
   h1= text(2.5,4.5,'increase flux','fontsize',12,'edgecolor','b');
elseif ro==2
   h2= text(2.5,4.5,'decrease flux','fontsize',12,'edgecolor','b');
end 

if co==1
    text(2.5,5.0,'increase torque','fontsize',12,'edgecolor','r')
elseif co==3
    text(2.5,5.0,'decrease torque','fontsize',12,'edgecolor','r')
elseif co==2
    delete (h1,h2)
    text(2.5,5.0,'No change','fontsize',12,'edgecolor','g')
end  
axis equal
set(findobj(gca,'Type','line'),'LineWidth',2)
 set(gca,'Xlim',[-5.5 5.5],'Ylim',[-5.5 5.5],'visible','off')
 hold off
 pause (3)
     f=getframe(gca); 
     aviwave=addframe(aviwave,f);
end
aviwave=close(aviwave);

%%%%%%%%%%%%% 