% Induction machine model under circuit conditions
function [f,x0]=imKmod0pen(t,x,u,flag,Rs,Rr,L,Hi,wo,ic,t1,t2)
t_op= t>t1 & t<t2;
t_cl=t<t1 | t>t2;
switch flag,
case 1,
   flux=[x(1) x(2) x(3) x(4)]'; cur=L\flux ;
   %               Dynamic equations of induction machine in rotor frame:
     if t_op, Rs=1000;  end
       f(1)=wo*(u(1)*cos(x(6))-Rs*cur(1)+x(5)*x(2)); 
       f(2)=wo*(u(1)*sin(x(6))-x(5)*x(1)-Rs*cur(2));
       f(3)=wo*(-Rr*cur(3));
       f(4)=wo*(-Rr*cur(4));
       f(5)=(cur(2)*x(1)-cur(1)*x(2)-u(2))/(2*Hi);
       f(6)=wo*(1-x(5));
case 3,
   %              Outputs
   flux=[x(1) x(2) x(3) x(4)]'; cur=L\flux ;
 if t_op, cur(1)=0;cur(2)=0;  end
        f(1)=x(5); 
        f(2)=cur(2)*x(1)-cur(1)*x(2);
        f(3)=cur(1);     
        f(4)=cur(2);
        if t_cl, f(5)=1; else
           f(5)=x(5)*L(3,1)*cur(3);end
        if t_cl, f(6)=0;else
           f(6)=x(5)*L(3,1)*cur(4);end
        f(7)=x(1);
        f(8)=x(2);
case 0,
              f=[6,0,8,2,0,1];
         x0=ic;
case {2,4,9},
         f=[];
   otherwise
         error(['unhandled flag = ',num2str(flag)]);
 end     