%                <<<   INDUCTION MOTOR  >>>
%          Steady-state characteristics : Phasor loci
close all, clear clc
disp('        <<<    Induction motor charateristics  >>>     ')
disp('               ( per-unit formulation  )               ')
% ---------------------------  DATA  ------------------------------------------
%           Machine parameters in per unit:                            
Rs=0.01 ; %Stator resistance
Rr=0.02 ; %Rotor resistance
Lsl=0.1 ; %Stator leakage inductance
Lrl=0.1 ; %Rotor leakage inductance
Lm=4.5  ; %Magnetizing inductance 
vs=1.0  ; %Stator voltage
ws=1.0  ; %Stator frequency
n1 =0   ; %initial speed
n2 =1   ; %finalspeed
dn=.02 ; %speed increment
%warning off MATLAB:mir_warning_variable_used_as_function
avimov=avifile('imphasormovie.avi','compression','NONE');
% --------------------  STEADY-STATE PHASOR CALCULATIONS  --------------------
     disp('          Parameters of induction machine in per unit    ')
disp('                                                         ')
disp('    Rs        Lsl       Rr        Lrl       Lm       vs         ws')
param=[Rs Lsl Rr Lrl Lm vs ws];
disp(param)
wk=ws;                     
Ls=Lsl+Lm ; Lr=Lrl+Lm;
den=Lm*Lsl+Lm*Lrl+Lsl*Lrl;
j=sqrt(-1);
km=round((n2-n1)/dn);
q=0;
fr=[];is=[];fs=[];ir=[];Te=[];wm=[];
wm11=0:dn:.8; wm22=.8+dn:dn/10:1;
for wm1=[wm11  wm22]
 % k=k+1;   
%for wm1=n1:dn:n2
 q=q+1;   
    if wm1==ws,wm1=wm1+eps; end
    Zr=Rr/(ws-wm1)+j*Lrl; Zm=j*Lm*Zr/(j*Lm+Zr);  Zin=Rs/ws+j*Lsl+Zm;
    is1=vs/(ws*Zin);  ir1=-is1*j*Lm/(j*Lm+Zr);
    Req=real(Zm);    Te1=is1*conj(is1)*Req;
    fs1=Ls*is1+Lm*ir1;  fr1=Lm*is1+Lr*ir1; 
   % --------------------------------------------------------------------------------
   fr=[fr fr1]; frd=real(fr); frq=imag(fr);
   is=[is is1]; isd=real(is); isq=imag(is);
   fs=[fs fs1]; fsd=real(fs); fsq=imag(fs);
   ir=[ir ir1]; ird=real(ir); irq=imag(ir);
   Te=[Te Te1];
   wm=[wm wm1];
end  
   
 for k=1:q
      figure('Units','normalized','Position',[0.05 0.17 .9 .75],'Name',' INDUCTION MOTOR','NumberTitle','on') 
 subplot(1,2,1) 
     xlabel('Real axis','color',[.2 .6 .2],'Fontweight','b','fontsize',12),
     title('TRAJECTORIES OF PHASORS','color',[.5 .5 .5], 'Fontweight','b','fontsize',14)
     ylabel('Imaginary axis','color',[.2 .6 .2],'Fontweight','b','fontsize',12),grid ,hold on
     plot(0,0,'-r',0,0,'-m',0,0,'-b',0,0,'-c',0,0,'-k')
   legend('i_s','i_r','\lambda_s','\lambda_r','V',1)
    vecarrow([0 0],[isd(k) isq(k)],'r')
    vecarrow([0 0],[ird(k) irq(k)],'m')
    vecarrow([0 0],[fsd(k) fsq(k)],'b') 
    vecarrow([0 0],[frd(k) frq(k)],'c')
    vecarrow([0 0],[vs 0],'k')
    set(findobj(gca,'Type','line'),'LineWidth',2)
   plot(isd,isq,':k')
   plot(ird,irq,':k')
   plot(fsd,fsq,':k')
   plot(frd,frq,':k')
  plot(0,0,'kx','MarkerSize',10)
   axis ('equal')
   hold off
   
  subplot(1,2,2)
 plot(wm,Te,'-b'),title('INDUCTION MOTOR','color',[.5 .5 .5], 'Fontweight','b','fontsize',14),grid,hold on
 xlabel('Speed [pu]','color',[.2 .6 .2],'Fontweight','b','fontsize',12),
 ylabel('Torque [pu]','color',[.2 .6 .2],'Fontweight','b','fontsize',12),
 plot(wm(k),Te(k),'ro','MarkerSize',6,'MarkerEdgeColor','r','MarkerFacecolor','r')   
  set(gca,'Xlim',[0 1],'Ylim',[0 2.5])
    f=getframe(gcf);
    avimov=addframe(avimov,f);
end  
  avimov=close(avimov);
    
  %
  
  