%                         *** imbar.m  ***
%       Steady-state characteristics of induction motor
%                including deep bar effects

%     DATA
Rs=eval(get(hRs,'String'));
Lsl=eval(get(hLs,'String'));
Rr=eval(get(hRr,'String'));
Lrl=eval(get(hLr,'String'));
Lm=eval(get(hLm,'String'));
V=eval(get(hVs,'String'));
f=eval(get(hfs,'String'));
n1=eval(get(hn1,'String'));
n2=eval(get(hn2,'String'));
freq0=eval(get(hf,'String'));
d=eval(get(hd,'String'));
rho=eval(get(hrho,'String'));
%


j=sqrt(-1);
  co1=d*sqrt(freq0/rho)/66.1;
Is=[]; Te=[];
for m=1:2
   n= n1:.002:n2;
     if m==1
        kr=1;kx=1;
     elseif m==2   
        q=co1*sqrt(abs(f-n)+eps); den=cosh(2*q)-cos(2*q);
        kr=q.*(sinh(2*q)+sin(2*q))./den ;
        kx=1.5*(sinh(2*q)-sin(2*q))./(q.*den) ;
     end
        Rrsk=kr*Rr ;  Llrsk=kx*Lrl;
        Zr=Rrsk./(f-n+eps)+j*Llrsk;
        Zm=j*Lm.*Zr./(j*Lm+Zr);
        Zin=Rs/f+j*Lsl+Zm;
        Req=real(Zm);
        I=V./(f*abs(Zin));
        T=I.*I.*Req;
     Is(m,:)=I; 
     Te(m,:)=T;
    if m==2
     KR=kr;
     KX=kx;
    end
 end
 %
figure('Position',[470 40 530 600],'Name','DEEP BAR EFFECTS','NumberTitle','off');

subplot(311),
plot(n,Te(1,:),'b',n,Te(2,:),'r'),title('INDUCTION MOTOR CHARACTERISTICS'),
     xlabel('SPEED'),ylabel('TORQUE'),grid
     subplot(312),  
 plot(n,Is(1,:),'b',n,Is(2,:),'r'),xlabel('SPEED'),ylabel('CURRENT'),grid
 subplot(313),
 plot(freq0*(1-n),KR,'c',freq0*(1-n),KX,'m'),xlabel('FREQUENCY [Hz]'),ylabel('kr & kx'), grid
%