%                         Symmetrical induction machine
%                           Steady-state conditions
%                             Balanced excitation
%                          Choice of reference frame
                
% -----------------   Machine parameters in per unit:  --------------------

Ras=eval(get(hRs,'String'));
Xas=eval(get(hXs,'String'));
Rr=eval(get(hRr,'String'));
Xr=eval(get(hXr,'String'));
Xm=eval(get(hXm,'String'));
Vs=eval(get(hVs,'String'));
fs=eval(get(hws,'String'));
beta=eval(get(hph,'string'));
n1=eval(get(hn1,'String'));
n2=eval(get(hn2,'String'));
     Rbs=Ras; Xbs=Xas; j=sqrt(-1);

% --------------------------------------------------------------------------
wmm=[n1:0.01:n2]';                      % speed range 
for m=1:length(wmm)                     % # of steps
    n=wmm(m);
   if km==2, fk=n; f=fs-n;end
% Z matrix ------------------------------------------------------------------   
  Z=[Ras+j*f*Xas   -fk*Xbs      j*f*Xm     -fk*Xm    
      fk*Xas     Rbs+j*f*Xbs     fk*Xm     j*f*Xm   
      j*f*Xm     -(fk-n)*Xm  Rr+j*f*Xr   -(fk-n)*Xr
    (fk-n)*Xm      j*f*Xm     (fk-n)*Xr  Rr+j*f*Xr ];
% ---------------------------------------------------------------------------
     V=[Vds; Vqs; 0; 0];
     I=Z\V;
     Ids(m)=I(1);
     Iqs(m)=I(2);
     Idr(m)=I(3);
     Iqr(m)=I(4);
  spd(m)=n;
  Te(m)=sc*Xm*real(I(2)*conj(I(3))-I(1)*conj(I(4)));   % T_average
    if km<3, Is(m)=abs(I(1)); Ir(m)=abs(I(3));
      else Is(m)=sqrt(I(1)^2+I(2)^2); Ir(m)=sqrt(I(3)^2+I(4)^2);
    end
 end
%    Plots   
 figure('Position',[510 400 490  290],'Name','Torque-Speed curves',...
    'NumberTitle','off');
 
 plot(spd,Te),xlabel('SPEED'),ylabel('TORQUE'),grid;
figure('Position',[510 34 490 290],'Name','Current-Speed curves',...
    'NumberTitle','off');

 plot(spd,Is,'-r',spd,Ir,'-b'),xlabel('SPEED'),ylabel('CURRENTS'),grid
 %
 