%   AIR GAP FLUX PLOT OF INDUCTION MACHINE 
clc,clear,close all
disp(date)
%warning off
aviwave=avifile('imflux3.avi','compression','cinepak');
phis=0;d=0;nr=24;ns=44;rs=.65;Ro=.85;Ri=.6; Rr=.45;Rf1=.78;Rf2=.72;bxy=1.1;ng=34;dg=0;z=0;
q=0:pi/40:2*pi;q1=pi:pi/20:2*pi;q2=pi:-pi/20:0;
q3=pi/6:pi/60:5*pi/6;q4=7*pi/6:pi/60:11*pi/6;
q5=pi/3:pi/60:2*pi/3;q6=-pi/3:-pi/60:-2*pi/3;
%
 figure('units','normalized','Position',[.36 .09 .63 .72],'Name','INDUCTION MOTOR',...
        'NumberTitle','off');
 set(gcf,'color','w') 
     
 for e=0:2:358
      z=z+1;         
      q=0:pi/60:2*pi;
      fill(Ro*cos(q),Ro*sin(q),[.6 .6 .6],'LineWidth',1.5),hold on
      fill(Ri*cos(q),Ri*sin(q),[.95 .9 .9]);
      fill(Rr*cos(q),Rr*sin(q),[.6 .6 .6],'LineWidth',1.5)
      j1=patch(Ri*cos(q1),Ri*sin(q1),1:length(q1),'facecolor','interp');
      j2=patch(Ri*cos(q2),Ri*sin(q2),1:length(q2),'facecolor','interp');
      rotate(j1,[0 0 1],e,[0 0 0])
      rotate(j2,[0 0 1],e,[0 0 0])
      fill(Rr*cos(q),Rr*sin(q),[.6 .6 .6],'LineWidth',1.5)
   
     thetas=0:2*pi/ns:2*pi; 
     fs=cos(thetas+.00001);
    for w=1:ns
        dd=abs(fs(w));
         if fs(w)>0;imflux3 cc='ko';pp=.6;
               else cc='kx';pp=1;
         end      
         
         m3=plot(0,rs,'ko','MarkerSize',dd*17,'MarkerFacecolor','g');
         rotate(m3,[0 0 1],d+e,[0 0 0])
         m4=plot(0,rs,cc,'MarkerSize',dd*17*pp,'MarkerFacecolor','k','linewidth',2);
         rotate(m4,[0 0 1],d+e,[0 0 0])
         d=d+360/ns;
     end 
     
     for k=2:1:2*ng-2
    alfa=acos((ng-k)/(ng-1));
    x1=Ri*cos(alfa); y1=-Ri*sin(alfa);
    h1=plot([0 x1],[0 y1],'k','linewidth',2);
    rotate(h1,[0 0 1],e+90,[0 0 0])
    fill(Rr*cos(q),Rr*sin(q),[.6 .6 .6]);
    end
    
     
    for k=2:1:2*ng-2
    alfa=acos((ng-k)/(ng-1));
    x1=Ri*cos(alfa); y1=Ri*sin(alfa);
    h1=plot([0 x1],[0 y1],'k','linewidth',2);
    rotate(h1,[0 0 1],e+90,[0 0 0])
    fill(Rr*cos(q),Rr*sin(q),[.6 .6 .6]);
    end
    
    text(-0.25,-.96,'AIR GAP FLUX PLOT','FontSize',10,'FontWeight','bold','color','blue')
    g0=text(.91,0,'B','color',[.55 .27 .07],'Fontsize',22);
    rotate(g0,[0 0 1],e,[0 0 0])
    g1=plot(0,0,'xk',[0 .8 .7 .8 .7],[0 0 -.05 0 0.05],'color',[.55 .27 .07],'LineWidth',4); 
    rotate(g1,[0 0 1],e,[0 0 0])
    f1=plot([-cos(pi/6)*Rr cos(pi/6)*Rr],[sin(pi/6)*Rr sin(pi/6)*Rr],'k');
    rotate(f1,[0 0 1],e,[0 0 0])
    f2=plot(Rf1*cos(q3),Rf1*sin(q3),'k');
    %plot(Rf2*cos(q5),Rf2*sin(q5),'k');
   % plot(Rf2*cos(q6),Rf2*sin(q6),'k'); 
    f3=plot(Rf1*cos(q4),Rf1*sin(q4),'k');
    rotate(f2,[0 0 1],e,[0 0 0])
    rotate(f3,[0 0 1],e,[0 0 0])
    f4= plot([Rr*cos(5*pi/6) Rf1*cos(5*pi/6)],[Rr*sin(5*pi/6) Rf1*sin(5*pi/6)],'k');
    rotate(f4,[0 0 1],e,[0 0 0])
    f5=plot([-cos(pi/6)*Rr cos(pi/6)*Rr],[-sin(pi/6)*Rr -sin(pi/6)*Rr],'k');
    f6=plot(Rf1*cos(q4),Rf1*sin(q4),'k');
    rotate(f5,[0 0 1],e,[0 0 0])
    rotate(f6,[0 0 1],e,[0 0 0])
    f7=plot([Rr*cos(7*pi/6) Rf1*cos(7*pi/6)],[Rr*sin(7*pi/6) Rf1*sin(7*pi/6)],'k');
    f8=plot([Rr*cos(-pi/6) Rf1*cos(-pi/6)],[Rr*sin(-pi/6) Rf1*sin(-pi/6)],'k');
    f9=plot([Rr*cos(pi/6) Rf1*cos(pi/6)],[Rr*sin(pi/6) Rf1*sin(pi/6)],'k');
    rotate(f7,[0 0 1],e,[0 0 0])
    rotate(f8,[0 0 1],e,[0 0 0])
    rotate(f9,[0 0 1],e,[0 0 0])
    f10=plot([-.05 0 -0.05],[Rr/2+.02 Rr/2 Rr/2-0.02],'k');
    f11=plot([-.05 0 -0.05],[-Rr/2-.02 -Rr/2 -Rr/2+0.02],'k');
    rotate(f10,[0 0 1],e,[0 0 0])
    rotate(f11,[0 0 1],e,[0 0 0])
    f12=plot([.05 0 .05],[Rf1+.02 Rf1 Rf1-0.02],'k');
    f13=plot([.05 0 .05],[-Rf1+.02 -Rf1 -Rf1-0.02],'k');
    rotate(f12,[0 0 1],e,[0 0 0])
    rotate(f13,[0 0 1],e,[0 0 0])
      set(gca,'Xlim',[-bxy bxy],'Ylim',[-bxy bxy],'visible','off')
            
      axis ('square')
      hold off
      %  
       M(z)=getframe;
      f=getframe(gca);
      aviwave=addframe(aviwave,f);
  end
     aviwave=close(aviwave);
     uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','movie(M,1)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.35 0.05 0.09 .05], ...
	'String','Repeat', ...
    'TooltipString','Repeat');
    uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','close,clear,close all', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.60 0.05 0.09 .05], ...
	'String','Quit', ...
    'TooltipString','Quit');
  %%%%%%%    
