%  creates figure for setting parameters of the induction motor
clear,close all,clc
h0 = figure('Units','pixels', ...
   'Color',[0.8 0.8 0.8], ...
   'Name','Induction Motor Parameters',...
   'NumberTitle','off',...
	'Position',[500 50 500 660], ...
	'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.8 0.3 0.04], ...
	'String','Stator Resistance Rs =', ...
	'Style','text');
hRs = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.35 .8 .13 .04], ...
	'String','0.01', ...
	'Style','edit', ...
	'tag','R_s', ...
   'TooltipString','Stator Resistance');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.7 0.3 0.04], ...
   'String','Rotor Resistance Rr =', ...
   'Style','text');
 hRr = uicontrol('Parent',h0, ...
   'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.35 .7 .13 .04], ...
	'String','0.02', ...
	'Style','edit', ...
	'tag','R_r', ...
   'TooltipString','Rotor Resistance');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.6 0.3 0.04], ...
	'String','Stator Leakage Inductance Lsl =', ...
	'Style','text');
hLs = uicontrol('Parent',h0, ...
   'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.35 .6 .13 .04], ...
	'String','0.1', ...
	'Style','edit', ...
	'tag','L_s', ...
   'TooltipString','Stator Leakage Inductance');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.5 0.3 0.04], ...
	'String','Rotor Leakage Inductance Lrl =', ...
	'Style','text');
hLr = uicontrol('Parent',h0, ...
   'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.35 .5 .13 .04], ...
	'String','0.1', ...
	'Style','edit', ...
	'tag','L_r', ...
   'TooltipString','Rotor Leakage Inductance');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.4 0.3 0.04], ...
	'String','Magnetizing Inductance Lm =', ...
	'Style','text');
hLm = uicontrol('Parent',h0, ...
   'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.35 .4 .13 .04], ...
	'String','4.5', ...
	'Style','edit', ...
	'tag','L_m', ...
   'TooltipString','Magnetizing Inductance');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.3 0.3 0.04], ...
	'String','Inertia Constant H [s] =', ...
	'Style','text');
hH = uicontrol('Parent',h0, ...
   'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.35 .3 .13 .04], ...
	'String','0.3', ...
	'Style','edit', ...
	'tag','H_i', ...
   'TooltipString','Inertia Constant');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.55 0.8 0.3 0.04], ...
	'String','Stator Voltage vs =', ...
	'Style','text');
 hvs = uicontrol('Parent',h0, ...
   'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.85 .8 .13 .04], ...
	'String','1.0', ...
	'Style','edit', ...
	'tag','v_s', ...
   'TooltipString','Stator voltage');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.55 0.7 0.3 0.04], ...
	'String','Stator Frequency ws =', ...
	'Style','text');
 hws = uicontrol('Parent',h0, ...
   'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.85 .7 .13 .04], ...
	'String','1.0', ...
	'Style','edit', ...
	'tag','w_s', ...
   'TooltipString','Stator frequency');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.55 0.6 0.3 0.04], ...
	'String','Base Frequency fo [Hz] =', ...
	'Style','text');
 hfos = uicontrol('Parent',h0, ...
   'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.85 .6 .13 .04], ...
	'String','60.0', ...
	'Style','edit', ...
	'tag','fo_s', ...
   'TooltipString','Base frequency');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.55 0.3 0.3 0.04], ...
	'String','Speed wm =', ...
	'Style','text');
 hn0 = uicontrol('Parent',h0, ...
   'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.85 .3 .13 .04], ...
	'String','0.98', ...
	'Style','edit', ...
	'tag','n0_i', ...
   'TooltipString','Speed');
h1 = uicontrol('Parent',h0, ...
   'Units','normalized', ...
	'BackgroundColor',[.5 .5 .5], ...
	'Callback','imic2', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.5], ...
	'Position',[0.42 0.15 0.15 0.08], ...
	'String','Initialize', ...
   'TooltipString','Initialize');
h1 = uicontrol('Parent',h0, ...
   'Units','normalized', ...
	'BackgroundColor',[.5 .5 .5], ...
	'Callback','close', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.5], ...
	'Position',[0.42 0.05 0.15 0.08], ...
	'String','Close', ...
	'TooltipString','Close');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.75 0.75 0.75], ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.63], ...
	'Position',[0.1 0.95 0.8 0.05], ...
	'String',' Induction Motor Parameters', ...
	'Style','text');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
   'BackgroundColor',[.5 .5 .5], ...
   'FontSize',8, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.4 0.87 0.25 0.04], ...
	'String','Enter parameter values in per unit:', ...
	'Style','text');
