%                <<<   DATA FOR IMabcsim0.mdl  >>>
clc,close all
%%%%%%%%%%%%%%%%%%%%%%% PARAMETERS [SI] %%%%%%%%%%%%%%%%%%%%%%%%%%%%
Vll=220    ;        %Line-to-line rms voltage rating [V]
Rs=0.531    ;       %Stator resistance (Ohm)
Rr=0.408   ;        %Rotor resistance  (Ohm)
Lsl=2.5e-3 ;        %Stator leakage inductance(H)
Lrl=2.5e-3    ;     %Rotor leakage inductance  (H)
Lm=84.7e-3   ;      %Magnetizing inductance  (H) 
freq0=60   ;        %Base frequency (Hz)imdqrun0
wo=2*pi*freq0 ;     %Base frequency (rad/s)
p=4        ;        %number of poles
J=0.03    ;         %Moment of inertia (kg.m^2)
TL1=10;             %Initial load torque [N.m]
TL2=2;              %Final load torque [N.m]
Bm=.01;             %Frictional coefficient
nsync=120*freq0/p;  %Synchronous speed [rpm]
Vm=Vll*sqrt(2/3);   %Peak phase voltage [V]
   gam=2*pi/3;
    
   Lm1=2/3*Lm;      %Maximum mutual inductance between any 2 phases xy 
                    %Mxy = Lm1*cos(angle between the 2 phases xy)
   Ls=Lsl+Lm1;
   Lr=Lrl+Lm1;      
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % R=diag([Rs Rs Rs Rr Rr Rr]);     = Resistance matrix   
    
  % Inductance matrices 
  % Lss=[Ls   -Lm1/2 -Lm1/2   
    %   -Lm1/2   Ls  -Lm1/2
    %   -Lm1/2 -Lm1/2   Ls] ;
    
  %  Lrr=[Lr   -Lm1/2 -Lm1/2   
    %    -Lm1/2   Lr  -Lm1/2
    %    -Lm1/2 -Lm1/2   Lr]; 
  
  %% Lsr=Lm1*[cos(theta)     cos(theta+gam) cos(theta-gam)
  %%        cos(theta-gam)     cos(theta)   cos(theta+gam)
  %%        cos(theta+gam)  cos(theta-gam)     cos(theta)]; 
  
  %%       L = [Lss  Lsr
  %%            Lsr' Lrr]               = Inductance matrix
  
  %% dLsr=Lm1*[-sin(theta)     -sin(theta+gam) -sin(theta-gam)
  %%          -sin(theta-gam)   -sin(theta)    -sin(theta+gam)
  %%          -sin(theta+gam)  -sin(theta-gam)     -sin(theta)]
        
  %%       dLdtheta = [zeros(3)  dLsr
  %%                   dLsr'  zeros(3)]
  
  %%% Matrix formulation of induction machine equations in abc phase variable model
  %%% Constitutive flux-current relations:
  %%%    F = L*I   or  I = L\F  
  %%% Electrical system equations:
  %%%    V= R*I + dF/dt = R*I + d(L*I)/dt = (R + wm*dL/dtheta)*I + L*dI/dt  
  %%% Mechanical system equation:
  %%%    Te = J*dwmec/dt + TL + Bm*wmec
  %%%    wm = p/2*wmec
  %%%    wm = dtheta/dt
       
  %% Te=p/4*I'*dLdtheta*I         = Electromagnetic torque
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%