%                    STARTING OF INDUCTION MOTOR
%                     Fluxes as state variables
%          Choice of reference frames: stator, rotor, or synchronous
clc,close all 
disp('                                                            imrk0.m  ')
disp('        <<<    Induction motor starting  >>>           ')
disp('               [ Sinusoidal excitation  ]              ')
disp('     == Stator & rotor fluxes as state variables ==    ')
disp('             (     per-unit formulation    )           ')
disp('          |Explicit Runga-Kutta procedure for solution|') 
% ---------------------------  DATA  -----------------------------------------
%                   Machine parameters in per unit:                             
            j=sqrt(-1); 
            Rs=.01    ;Xsl=0.10 ;
            Rr=.02    ;Xrl=0.10 ;Xm=4.5 ;  n=0   ; Tl0=0.001;  
            Vas=1  ;Vbs=-j*1.0  ;fs=1.0   ; freq0=60; Hi=0.3;
%                   Step inputs:
            ti=.0005 ;                           % integration step
            tf=2   ;                             % final time
            t1=1.4   ;  Tl1=1.0  ;               % first step change   (time, load)
            t2=1.7  ;  Tl2=0.001 ;               % second step change  (time, load)
% ----------------------------------------------------------------------------
     km=menu('Select a common reference frame','STATOR','ROTOR','SYNCHRONOUS');
%               fk=0  ;                %  <=== Stator frame
%               fk=n  ;                %  <=== Rotor frame
%               fk=fs ;                %  <=== Synchronously rotating frame  
            if km==1, fk=0;
              elseif km==2, fk=n ; 
              elseif km==3, fk=fs;
              elseif km<=0 ||km>3, break
            end
disp('              Machine parameters in per unit:            ')
disp('    Rs        Xsl       Rr        Xrl       Xm        H  ')
param=[Rs Xsl Rr Xrl Xm Hi];
exc=[Vas Vbs fs];
disp(param)
disp('   Vas                     Vbs             f             ')
disp(exc)
disp('View script file imrk0.m in order to modify the parameters...')
disp('Run pltrk0.m to repeat figure sequence...')
                     calc0        % script file for Runga -Kutta computation
                     pltrk0       % script file for plotting        
% ----------------------------------------------------------------------------
