%   INDUCTION MACHINE STEADY-STATE CHARACTERISTICS
%               Effect of rotor resistance    
%     DATA
clc
h=findobj(gcf,'Tag','Rs');Rs=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lsl');Lsl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rr');Rr=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lrl');Lrl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lm');Lm=str2num(get(h,'string'));
h=findobj(gcf,'Tag','V');V=str2num(get(h,'string'));
h=findobj(gcf,'Tag','f');f=str2num(get(h,'string'));
h=findobj(gcf,'Tag','n1');n1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','n2');n2=str2num(get(h,'string'));

  Rr1=.1*[0.1 0.25 0.5 0.75 1 1.25 1.5 2.0 3.0];
  j=sqrt(-1);
%  
  figure('Units','normalized','Position',[.03 .167 .56 .7],...
     'Name','EFFECT OF ROTOR RESISTANCE','NumberTitle','off');
    wm= n1:.001:n2;
  Is=[]; Te=[];
  for m=1:9
     Zr=Rr1(m)./(f-wm+eps)+j*Lrl;
     Zm=j*Lm.*Zr./(j*Lm+Zr);
     Zin=Rs/f+j*Lsl+Zm;
     Req=real(Zm);
     I=V./(f*abs(Zin));
     T=I.*I.*Req;
     Is(m,:)=I;
     Te(m,:)=T;
 RR=num2str(Rr1(m));    
 subplot(211),
 plot(wm,Te),xlabel('SPEED'),ylabel('TORQUE'),grid
 title('Effect of rotor resistance Rr','color','r')
  text(.03,.1,'Rr =','color','r') 
  text(.1,.1,RR,'color','r')
    P(m)=getframe;
 subplot(212),
   plot(wm,Is),xlabel('SPEED'),ylabel('CURRENT'),grid
   text(.04,0.5,'Rr =','color','r') 
   text(.12,.5,RR,'color','r')
    Q(m)=getframe;
   uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.5 .5 .5], ...
	'Callback','pause', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.9 0.01 0.09 .06], ...
	'String','Pause', ...
    'TooltipString','pause');
   for p=1:2500000 jj=[]; end
end
subplot(211)
movie(P,1)
subplot(212)
movie(Q,1)
%%%%%%%%%%%%%%%%%%%
