%      Induction machine steady-state characteristics
%      derived from the dq formulation 
%      (per-unit representation)
%     unbalanced case
 figure('Units','pixels', ...
   'Color',[0.8 0.8 0.8], ...
   'Name','Induction Machine Parameters',...
   'NumberTitle','off',...
	'Position',[15 40 740 315], ...
   'ToolBar','none');
uicontrol(	'Units','normalized', ...
   'BackgroundColor',[.75 .75 .75], ...
   'FontSize',12, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'Position',[0.05 0.92 0.8 0.06], ...
	'String','INDUCTION MACHINE PARAMETERS', ...
   'Style','text');
uicontrol('Units','normalized', ...
   'BackgroundColor',[.75 .75 .75], ...
   'FontSize',12, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'Position',[0.05 0.87 0.8 0.06], ...
	'String','Steady-state unbalanced operation', ...
   'Style','text');
uicontrol(	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.8 0.4 0.06], ...
	'String','Stator phase <a> resistance Ras =', ...
	'Style','text');
hRas = uicontrol('Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.32 .8 .13 .06], ...
	'String','0.01', ...
	'Style','edit', ...
	'TooltipString','Stator resistance');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.7 0.4 0.06], ...
   'String','Stator phase <a> reactance Xas =', ...
   'Style','text');
hXas = uicontrol('Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.32 .7 .13 .06], ...
	'String','4.6', ...
	'Style','edit', ...
	'TooltipString','Stator reactance');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.5 0.8 0.35 0.06], ...
   'String','Stator phase <b> resistance Rbs =', ...
   'Style','text');
 hRbs = uicontrol( 'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.75 .8 .13 .06], ...
	'String','0.01', ...
	'Style','edit', ...
	'TooltipString','Stator phase <b> resistance');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.5 0.7 0.35 0.06], ...
	'String','Stator phase <b> reactance =', ...
	'Style','text');
hXbs = uicontrol('Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.75 .7 .13 .06], ...
	'String','4.6', ...
	'Style','edit', ...
	'TooltipString','Stator reactance');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.7 0.35 0.06], ...
   'String','Stator phase <a> reactance Xas =', ...
   'Style','text');
hXas= uicontrol( 'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.32 .7 .13 .06], ...
	'String','4.6', ...
	'Style','edit', ...
	'TooltipString','Stator reactance');
  uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.6 0.4 0.06], ...
	'String','Rotor reactance Xr =', ...
	'Style','text');
hXr = uicontrol( 'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.32 .6 .13 .06], ...
	'String','4.6', ...
	'Style','edit', ...
	'TooltipString','Rotor reactance');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.5 0.6 0.35 0.06], ...
	'String','Rotor resistance Rr =', ...
	'Style','text');
 hRr = uicontrol( 'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.75 .6 .13 .06], ...
	'String','0.02', ...
	'Style','edit', ...
	'TooltipString','Rotor resistance');
 uicontrol(	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.5 0.4 0.35 0.06], ...
	'String','Magnetizing reactance Xm =', ...
	'Style','text');
 hXm = uicontrol('Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.75 .4 .13 .06], ...
	'String','4.5', ...
	'Style','edit', ...
	'TooltipString','Magnetizing reactance');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.5 0.35 0.06], ...
	'String','Stator phase <a>  voltage Vas =', ...
	'Style','text');
 hVas = uicontrol( 'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.32 .5 .13 .06], ...
	'String','1.0', ...
	'Style','edit', ...
	'TooltipString','Stator voltage');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.5 0.5 0.35 0.06], ...
	'String','Stator phase <b> voltage =', ...
	'Style','text');
 hVbs = uicontrol( 'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.75 .5 .13 .06], ...
	'String','-j', ...
	'Style','edit', ...
	'TooltipString','Phase');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.4 0.35 0.06], ...
	'String','Frequency f =', ...
	'Style','text');
 hf = uicontrol( 'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.32 .4 .13 .06], ...
	'String','1.0', ...
	'Style','edit', ...
	'TooltipString','Frequency');

 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.3 0.35 0.06], ...
	'String','Min--max speed n = ', ...
	'Style','text');
 hn1 = uicontrol( 'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.32 .3 .13 .06], ...
	'String','0', ...
	'Style','edit', ...
	'TooltipString','Speed min');
hn2 = uicontrol( 'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.5 .3 .13 .06], ...
	'String','1', ...
	'Style','edit', ...
	'TooltipString','Speed max');
 uicontrol('Units','normalized', ...
   'BackgroundColor',[.7 .9 .8], ...
   'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.82], ...
	'Position',[0.05 0.01 0.6  0.05], ...
	'String','Specify parameter values in per unit (HP rating base)', ...
   'Style','text');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[.3 .3 .8], ...
    'style','pushbutton',...
	'Callback','imssdqSB', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.5 0.2 0.15 0.08], ...
	'String','Run', ...
   'TooltipString','Bar');
uicontrol('Units','normalized', ...
   'style','pushbutton',...
	'BackgroundColor',[.3 .3 .8], ...
	'Callback','clc,clear,close all', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.5 0.10 0.15 0.08], ...
	'String','Quit', ...
	'TooltipString','Quit');
