%      Induction machine steady-state characteristics
%      derived from the dq formulation 
%      (per-unit representation)
%      balanced case
h0 = figure('Units','pixels', ...
   'Color',[0.8 0.8 0.8], ...
   'Name','Induction Machine Parameters',...
   'NumberTitle','off',...
	'Position',[15 40 490 315], ...
   'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
   'BackgroundColor',[.75 .75 .75], ...
   'FontSize',12, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'Position',[0.05 0.92 0.8 0.06], ...
	'String','INDUCTION MACHINE PARAMETERS', ...
   'Style','text');
uicontrol('Parent',h0, ...
	'Units','normalized', ...
   'BackgroundColor',[.75 .75 .75], ...
   'FontSize',12, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'Position',[0.05 0.87 0.8 0.06], ...
	'String','Steady-state balanced operation', ...
   'Style','text');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.8 0.4 0.06], ...
	'String','Stator resistance Rs =', ...
	'Style','text');
hRs = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .8 .13 .06], ...
	'String','0.01', ...
	'Style','edit', ...
	'TooltipString','Stator resistance');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.7 0.4 0.06], ...
   'String','Stator reactance Xs =', ...
   'Style','text');
 hXs = uicontrol('Parent',h0, ...
   'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .7 .13 .06], ...
	'String','4.6', ...
	'Style','edit', ...
	'TooltipString','Stator  reactance');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.6 0.4 0.06], ...
	'String','Rotor resistance Rr =', ...
	'Style','text');
hRr = uicontrol('Parent',h0, ...
   'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .6 .13 .06], ...
	'String','0.02', ...
	'Style','edit', ...
	'TooltipString','Rotor resistance');
  uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.5 0.45 0.06], ...
	'String','Rotor reactance Xr =', ...
	'Style','text');
hXr = uicontrol('Parent',h0, ...
   'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .5 .13 .06], ...
	'String','4.6', ...
	'Style','edit', ...
	'TooltipString','Rotor reactance');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.4 0.4 0.06], ...
	'String','Magnetizing reactance Xm =', ...
	'Style','text');
 hXm = uicontrol('Parent',h0, ...
   'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .4 .13 .06], ...
	'String','4.5', ...
	'Style','edit', ...
	'TooltipString','Magnetizing reactance');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.24 0.4 0.06], ...
	'String','Stator voltage V =', ...
	'Style','text');
 hVs = uicontrol('Parent',h0, ...
   'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .24 .13 .06], ...
	'String','1.0', ...
	'Style','edit', ...
	'TooltipString','Stator voltage');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.32 0.4 0.06], ...
	'String','Phase angle (rad) =', ...
	'Style','text');
 hph = uicontrol('Parent',h0, ...
   'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .32 .13 .06], ...
	'String','0', ...
	'Style','edit', ...
	'TooltipString','Phase');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.15 0.4 0.06], ...
	'String','Frequency ws =', ...
	'Style','text');
 hws = uicontrol('Parent',h0, ...
   'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .15 .13 .06], ...
	'String','1.0', ...
	'Style','edit', ...
	'TooltipString','Frequency');

h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.05 0.4 0.06], ...
	'String','Min--max speed n = ', ...
	'Style','text');
 hn1 = uicontrol('Parent',h0, ...
   'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .05 .13 .06], ...
	'String','-1', ...
	'Style','edit', ...
	'TooltipString','Speed min');
hn2 = uicontrol('Parent',h0, ...
   'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.65 .05 .13 .06], ...
	'String','2', ...
	'Style','edit', ...
	'TooltipString','Speed max');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
   'BackgroundColor',[.7 .9 .8], ...
   'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.82], ...
	'Position',[0.05 0 0.95 0.05], ...
	'String','Specify parameter values in per unit (HP rating base)', ...
   'Style','text');

h1 = uicontrol('Parent',h0, ...
   'Units','normalized', ...
	'BackgroundColor',[.3 .3 .8], ...
    'style','pushbutton',...
	'Callback','imssdqkB', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.8 0.2 0.15 0.08], ...
	'String','Run', ...
   'TooltipString','Bar');
h1 = uicontrol('Parent',h0, ...
   'Units','normalized', ...
   'style','pushbutton',...
	'BackgroundColor',[.3 .3 .8], ...
	'Callback','clc,clear,close all', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.8 0.05 0.15 0.08], ...
	'String','Quit', ...
	'TooltipString','Quit');
