%   3-bus Power Flow
clc,clear
status=close(pf4out);
% Bus &  line data
h=findobj(gcf,'Tag','V1');V1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','d1');d1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','P2');P2sp=str2num(get(h,'string'));
h=findobj(gcf,'Tag','P3');P3sp=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Q3');Q3sp=str2num(get(h,'string'));
h=findobj(gcf,'Tag','V2');V2=str2num(get(h,'string'));
h=findobj(gcf,'Tag','d1');d0=str2num(get(h,'string'));
h=findobj(gcf,'Tag','R1');R1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','X1');X1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','R2');R2=str2num(get(h,'string'));
h=findobj(gcf,'Tag','X2');X2=str2num(get(h,'string'));
h=findobj(gcf,'Tag','R3');R3=str2num(get(h,'string'));
h=findobj(gcf,'Tag','X3');X3=str2num(get(h,'string'));
h=findobj(gcf,'Tag','B1');B1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','B2');B2=str2num(get(h,'string'));
h=findobj(gcf,'Tag','B3');B3=str2num(get(h,'string'));
h=findobj(gcf,'Tag','tol');tol=str2num(get(h,'string'));
h=findobj(gcf,'Tag','S1m');S10=str2num(get(h,'string'));
h=findobj(gcf,'Tag','S2m');S20=str2num(get(h,'string'));
h=findobj(gcf,'Tag','S3m');S30=str2num(get(h,'string'));
%%%%
j = sqrt(-1);
Z1=R1+j*X1;Z2=R2+j*X2;Z3=R3+j*X3;
%Nodal admittance matrix
Y(1,1)=1/Z1 + 1/Z2+j*B1/2+j*B2/2; Y(1,2)=-1/Z1; Y(1,3)=-1/Z2;
Y(2,1)=-1/Z1; Y(2,2)=1/Z1 + 1/Z3+j*B1/2+j*B3/2; Y(2,3)=-1/Z3;
Y(3,1)=-1/Z2; Y(3,2)=-1/Z3; Y(3,3)=1/Z2 + 1/Z3+j*B2/2+j*B3/2;
disp('               Nodal admittance matrix Y')
disp(Y) 
G(1,1)=real(Y(1,1)); B(1,1)=imag(Y(1,1)); G(1,2)=real(Y(1,2));
B(1,2)=imag(Y(1,2)); G(1,3)=real(Y(1,3)); B(1,3)=imag(Y(1,3));
G(2,1)=real(Y(2,1)); B(2,1)=imag(Y(2,1)); G(2,2)=real(Y(2,2));
B(2,2)=imag(Y(2,2)); G(2,3)=real(Y(2,3)); B(2,3)=imag(Y(2,3));
G(3,1)=real(Y(3,1)); B(3,1)=imag(Y(3,1)); G(3,2)=real(Y(3,2));
B(3,2)=imag(Y(3,2)); G(3,3)=real(Y(3,3)); B(3,3)=imag(Y(3,3));
% Calculate d2, V3 and d3
% Solution Parameters
% Initialization
Iter=0; err=1; d2=0; d3=0; V3=1.0;deld2=0; deld3=0; delV3=0;
% Newton-Raphson procedure
 while err>0
    Iter=Iter+1;
    d2=d2+deld2; d3=d3+deld3;V3=V3+delV3;
% Creation of Jacobian J (d/d denotes a partial derivative)
J(1,1)=V2*(V1*(-G(2,1)*sin(d2-d1)+B(2,1)*cos(d2-d1)) +V3*(-G(2,3)*sin(d2-d3)+B(2,3)*cos(d2-d3)));% dP2/dd2
J(1,2)=V2*(V3*(G(2,3)*sin(d2-d3)-B(2,3)*cos(d2-d3))); % dP2/dd3
J(1,3)=V2*((G(2,3)*cos(d2-d3)+B(2,3)*sin(d2-d3))); % dP2/dV3
J(2,1)=V3*(V2*(G(3,2)*sin(d3-d2)-B(3,2)*cos(d3-d2)));% dP3/dd2
J(2,2)=V3*(V1*(-G(3,1)*sin(d3-d1)+B(3,1)*cos(d3-d1)) +V2*(-G(3,2)*sin(d3-d2)+B(3,2)*cos(d3-d2)));% dP3/dd3
J(2,3)=2*G(3,3)*V3 + V1*(G(3,1)*cos(d3-d1)+B(3,1)*sin(d3-d1)) +V2*(G(3,2)*cos(d3-d2)+B(3,2)*sin(d3-d2));% dP3/dV3
J(3,1)=V3*(V2*(G(3,2)*cos(d3-d2)-B(3,2)*sin(d3-d2))); % dQ3/dd2
J(3,2)=V3*(V1*(G(3,1)*cos(d3-d1)+B(3,1)*sin(d3-d1)) +V2*(G(3,2)*cos(d3-d2)+B(3,2)*sin(d3-d2))); % dQ3/dd3
J(3,3)=- 2*B(3,3)*V3 + V1*(G(3,1)*sin(d3-d1)-B(3,1)*cos(d3-d1))  +V2*(G(3,2)*sin(d3-d2)-B(3,2)*cos(d3-d2)); % dQ3/dV3
% Decoupled power flow can be performed by adding the next line to this  m_file
%J(1,3)=0;J(2,3)=0;J(3,1)=0;J(3,2)=0;
% Bus Voltages
V(1,1)=V1*exp(j*d1); V(2,1)=V2*exp(j*d2); V(3,1)=V3*exp(j*d3);
% Injected currents into Buses
Iinj=Y*V;
% P and Q Injected into Buses
S(1,1)=V(1,1)*conj(Iinj(1)); 
S(2,1)=V(2,1)*conj(Iinj(2));
S(3,1)=V(3,1)*conj(Iinj(3));
% mismatch at PQ and PV buses
mis(1,1)=P2sp-real(S(2,1));
mis(2,1)=P3sp-real(S(3,1));
mis(3,1)=Q3sp-imag(S(3,1));
% calculate new delta values for d2, d3, and V3
del=J\mis;
deld2=del(1); deld3=del(2); delV3=del(3);
err= max(abs(mis))- tol;
    if rcond(J)<0.1,
      errordlg(['Solution does not converge';'for the specified bus data'],'error')    
      error('<<< Solution does not converge for the specified bus/line data >>>'), 
     break
    end    
end
d2DEG=d2*180/pi; d3DEG=d3*180/pi; Iter;V3;
P1=real(S(1,1));Q1=imag(S(1,1));Q2=imag(S(2,1));
% Final Jacobian Matrix
disp('        Final Jacobian matrix J')
disp(J)
% Calculate Power Flow on the Transmission Lines
P12=real(V(1,1)*conj((V(1,1)-V(2,1))/Z1));
P21=real(V(2,1)*conj((V(2,1)-V(1,1))/Z1));
Q12=imag(V(1,1)*conj((V(1,1)-V(2,1))/Z1))-B1/2*V1^2;
Q21=imag(V(2,1)*conj((V(2,1)-V(1,1))/Z1))-B1/2*V2^2;
P13=real(V(1,1)*conj((V(1,1)-V(3,1))/Z2));
P31=real(V(3,1)*conj((V(3,1)-V(1,1))/Z2));
Q13=imag(V(1,1)*conj((V(1,1)-V(3,1))/Z2))-B2/2*V1^2;
Q31=imag(V(3,1)*conj((V(3,1)-V(1,1))/Z2))-B2/2*V3^2;
P23=real(V(2,1)*conj((V(2,1)-V(3,1))/Z3));
P32=real(V(3,1)*conj((V(3,1)-V(2,1))/Z3));
Q23=imag(V(2,1)*conj((V(2,1)-V(3,1))/Z3))-B3/2*V2^2;
Q32=imag(V(3,1)*conj((V(3,1)-V(2,1))/Z3))-B3/2*V3^2;
S12=abs(P12+j*Q12);S21=abs(P21+j*Q21);S1max=max([S12 S21]);
S13=abs(P13+j*Q13);S31=abs(P31+j*Q31);S2max=max([S13 S31]);
S23=abs(P23+j*Q23);S32=abs(P32+j*Q32);S3max=max([S23 S32]);
%Calculate line losses
I1=(V(1,1)-V(2,1))/Z1;Ploss1=abs(I1)^2*R1;Qloss1=abs(I1)^2*X1;
I2=(V(1,1)-V(3,1))/Z2;Ploss2=abs(I2)^2*R2;Qloss2=abs(I2)^2*X2;
I3=(V(2,1)-V(3,1))/Z3;Ploss3=abs(I3)^2*R3;Qloss3=abs(I3)^2*X3;
%%Output
hh=pf4out;
h1=findobj('tag','d2');set(h1,'String',num2str(d2DEG))
h2=findobj('tag','d3');set(h2,'String',num2str(d3DEG))
h3=findobj('tag','V3');set(h3,'String',num2str(V3))
h4=findobj('tag','Q2');set(h4,'String',num2str(Q2))
h5=findobj('tag','P1');set(h5,'String',num2str(P1))
h5=findobj('tag','Q1');set(h5,'String',num2str(Q1))
h6=findobj('tag','P12');set(h6,'String',num2str(P12))
h7=findobj('tag','Q12');set(h7,'String',num2str(Q12))
h8=findobj('tag','P13');set(h8,'String',num2str(P13))
h9=findobj('tag','Q13');set(h9,'String',num2str(Q13))
h8=findobj('tag','P23');set(h8,'String',num2str(P23))
h8=findobj('tag','Q23');set(h8,'String',num2str(Q23))
h6=findobj('tag','P21');set(h6,'String',num2str(P21))
h7=findobj('tag','Q21');set(h7,'String',num2str(Q21))
h8=findobj('tag','P31');set(h8,'String',num2str(P31))
h9=findobj('tag','Q31');set(h9,'String',num2str(Q31))
h8=findobj('tag','P32');set(h8,'String',num2str(P32))
h8=findobj('tag','Q32');set(h8,'String',num2str(Q32))
h8=findobj('tag','iter');set(h8,'String',num2str(Iter))
h=findobj('tag','Pl1');set(h,'String',num2str(Ploss1))
h=findobj('tag','Pl2');set(h,'String',num2str(Ploss2))
h=findobj('tag','Pl3');set(h,'String',num2str(Ploss3))
h=findobj('tag','Ql1');set(h,'String',num2str(Qloss1))
h=findobj('tag','Ql2');set(h,'String',num2str(Qloss2))
h=findobj('tag','Ql3');set(h,'String',num2str(Qloss3))
h=findobj('tag','S1');set(h,'String',num2str(S1max))
h=findobj('tag','S2');set(h,'String',num2str(S2max))
h=findobj('tag','S3');set(h,'String',num2str(S3max))
% Voltage profile
h3=findobj('tag','plt');
plot([1 2 3],[V1 V2 V3]),xlabel('Bus #'),ylabel('Voltage'),grid
set(gca,'Xtick',1:3)
% Alert
Fs=4096; 
 w=1500; t=[0:1/Fs:.15];
 y=sin(w*t);
 if S1max>S10
   ppp=round(S1max/S10*100);
   S1='OVERLOAD';co='red';
   warndlg([num2str(ppp),' % overload on line #1',],'alert')
   sound(y,Fs)
  else
   S1='      ';co=[.714 .714 .714];
end   
h2=findobj('tag','SS1');set(h2,'String',S1,'backgroundcolor',co)
if S2max>S20
    ppp=round(S2max/S20*100);
    S2='OVERLOAD';co='red';
   warndlg([num2str(ppp),' % overload on line #2'],'alert')
   sound(y,Fs)
  else
   S2='      ';co=[.714 .714 .714];
end   
h3=findobj('tag','SS2');set(h3,'String',S2,'backgroundcolor',co)
if S3max>S30
    ppp=round(S3max/S30*100);
    S3='OVERLOAD';co='red';
   warndlg([num2str(ppp),' % overload on line #3',],'alert')
   sound(y,Fs)
else
   S3='      ';co=[.714 .714 .714];
end   
h1=findobj('tag','SS3');set(h1,'String',S3,'backgroundcolor',co)
% Direction of power flow
if P12>0
    F1='1 to 2'; 
else
    F1='2 to 1';
end    
h5=findobj('tag','FF1');set(h5,'String',F1,'backgroundcolor','y')
if P13>0
    F2='1 to 3'; 
else
    F2='3 to 1';
end    
h6=findobj('tag','FF2');set(h6,'String',F2,'backgroundcolor','y')
if P23>0
    F3='2 to 3'; 
else
    F3='3 to 2';
end    
h7=findobj('tag','FF3');set(h7,'String',F3,'backgroundcolor','y')
%%%%%%%%%%%%%%%%