%   3-bus Voltage Stability
clc,clear
% Bus & line data
h=findobj(gcf,'Tag','V1');V1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','d1');d1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','P2');P2sp=str2num(get(h,'string'));
h=findobj(gcf,'Tag','P3');P3sp=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Q3');Q3sp=str2num(get(h,'string'));
h=findobj(gcf,'Tag','V2');V2=str2num(get(h,'string'));
h=findobj(gcf,'Tag','d1');d0=str2num(get(h,'string'));
h=findobj(gcf,'Tag','R1');R1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','X1');X1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','R2');R2=str2num(get(h,'string'));
h=findobj(gcf,'Tag','X2');X2=str2num(get(h,'string'));
h=findobj(gcf,'Tag','R3');R3=str2num(get(h,'string'));
h=findobj(gcf,'Tag','X3');X3=str2num(get(h,'string'));
h=findobj(gcf,'Tag','B1');B1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','B2');B2=str2num(get(h,'string'));
h=findobj(gcf,'Tag','B3');B3=str2num(get(h,'string'));
h=findobj(gcf,'Tag','tol');tol=str2num(get(h,'string'));
h=findobj(gcf,'Tag','S1m');S10=str2num(get(h,'string'));
h=findobj(gcf,'Tag','S2m');S20=str2num(get(h,'string'));
h=findobj(gcf,'Tag','S3m');S30=str2num(get(h,'string'));
%%%%
j = sqrt(-1);
Z1=R1+j*X1;Z2=R2+j*X2;Z3=R3+j*X3;
%Nodal admittance matrix
Y(1,1)=1/Z1 + 1/Z2+j*B1/2+j*B2/2; Y(1,2)=-1/Z1; Y(1,3)=-1/Z2;
Y(2,1)=-1/Z1; Y(2,2)=1/Z1 + 1/Z3+j*B1/2+j*B3/2; Y(2,3)=-1/Z3;
Y(3,1)=-1/Z2; Y(3,2)=-1/Z3; Y(3,3)=1/Z2 + 1/Z3+j*B2/2+j*B3/2;
%%%%%%
G(1,1)=real(Y(1,1)); B(1,1)=imag(Y(1,1)); G(1,2)=real(Y(1,2));
B(1,2)=imag(Y(1,2)); G(1,3)=real(Y(1,3)); B(1,3)=imag(Y(1,3));
G(2,1)=real(Y(2,1)); B(2,1)=imag(Y(2,1)); G(2,2)=real(Y(2,2));
B(2,2)=imag(Y(2,2)); G(2,3)=real(Y(2,3)); B(2,3)=imag(Y(2,3));
G(3,1)=real(Y(3,1)); B(3,1)=imag(Y(3,1)); G(3,2)=real(Y(3,2));
B(3,2)=imag(Y(3,2)); G(3,3)=real(Y(3,3)); B(3,3)=imag(Y(3,3));
% Repeat load flow calc for step increases in load at bus #3
Vload=[]; Pload=[];P3sp=0;dp3=0.1;km=100;
for k=1:km
% Initialization
Iter=0; err=1; d2=0; d3=0; V3=1.0;deld2=0; deld3=0; delV3=0;
% Newton-Raphson procedure
while err>0
    Iter=Iter+1;
d2=d2+deld2; d3=d3+deld3;V3=V3+delV3;
% Creation of Jacobian J (d/d denotes a partial derivative)
J(1,1)=V2*(V1*(-G(2,1)*sin(d2-d1)+B(2,1)*cos(d2-d1)) +V3*(-G(2,3)*sin(d2-d3)+B(2,3)*cos(d2-d3)));% dP2/dd2
J(1,2)=V2*(V3*(G(2,3)*sin(d2-d3)-B(2,3)*cos(d2-d3))); % dP2/dd3
J(1,3)=V2*((G(2,3)*cos(d2-d3)+B(2,3)*sin(d2-d3))); % dP2/dV3
J(2,1)=V3*(V2*(G(3,2)*sin(d3-d2)-B(3,2)*cos(d3-d2)));% dP3/dd2
J(2,2)=V3*(V1*(-G(3,1)*sin(d3-d1)+B(3,1)*cos(d3-d1)) +V2*(-G(3,2)*sin(d3-d2)+B(3,2)*cos(d3-d2)));% dP3/dd3
J(2,3)=2*G(3,3)*V3 + V1*(G(3,1)*cos(d3-d1)+B(3,1)*sin(d3-d1)) +V2*(G(3,2)*cos(d3-d2)+B(3,2)*sin(d3-d2));% dP3/dV3
J(3,1)=V3*(V2*(G(3,2)*cos(d3-d2)-B(3,2)*sin(d3-d2))); % dQ3/dd2
J(3,2)=V3*(V1*(G(3,1)*cos(d3-d1)+B(3,1)*sin(d3-d1)) +V2*(G(3,2)*cos(d3-d2)+B(3,2)*sin(d3-d2))); % dQ3/dd3
J(3,3)=- 2*B(3,3)*V3 + V1*(G(3,1)*sin(d3-d1)-B(3,1)*cos(d3-d1))  +V2*(G(3,2)*sin(d3-d2)-B(3,2)*cos(d3-d2)); % dQ3/dV3
% Bus Voltages
V(1,1)=V1*exp(j*d1); V(2,1)=V2*exp(j*d2); V(3,1)=V3*exp(j*d3);
% Injected currents into Buses
Iinj=Y*V;
% P and Q Injected into Buses
S(1,1)=V(1,1)*conj(Iinj(1)); S(2,1)=V(2,1)*conj(Iinj(2));
S(3,1)=V(3,1)*conj(Iinj(3));
% mismatch at PQ and PV buses
mis(1,1)=P2sp-real(S(2,1));
mis(2,1)=P3sp-real(S(3,1));
mis(3,1)=Q3sp-imag(S(3,1));
% calculate new delta values for d2, d3, and V3
del=J\mis;
deld2=del(1); deld3=del(2); delV3=del(3);
err= max(abs(mis))- tol;
end
d2DEG=d2*180/pi; d3DEG=d3*180/pi;
Pload(k,:)=P3sp;
Vload(k,:)=V3;
P3sp=P3sp-dp3;
pp=gradient((-Vload),dp3)*180/pi;
  if pp(k)>11,break
  end    
end
op=length(Vload);
figure('Units','normalized','Position',[.46 .27 .5 .56],...
     'Name','VOLTAGE STABILITY','NumberTitle','off');
plot(-Pload,Vload),title('VOLTAGE STABILITY'),xlabel('Load at bus #3'),
   ylabel('Voltage at bus #3'),grid
text(-Pload(op),Vload(op),'Collapse','color','r')
%%%%%%%