% plots for imabcplug.mdl
close all
lg=length(t);
sg=0.2;               % Blanking factor
rg=(fix(sg*lg):lg);   % Plotting range
spdsync=120*freq0/p;
spdrg=ones(1,length(t(rg)))*spdsync;
tf=t(lg);

Te=y(:,1);spd=y(:,3);TL=y(:,2);
ias=x(:,1);ibs=x(:,2); ics=x(:,3);
Is=sqrt(ias.^2+(ibs-ics).^2/3)  ;              % Stator current magnitude [A]
iar=x(:,4); ibr=x(:,5); icr=x(:,6);            % Rotor currents [A]

figure('Units','Normalized','Position',[.02 .50 .46 .35],'Name','Induction motor plug (abc)');
     figure(1)
  plot(t(rg),spd(rg),'-m'),grid,title('SPEEDS'),xlabel('Time [s]'),ylabel('Speed [rpm]'),hold on
  plot(t(rg),spdrg,'-r')
  set(gca,'Xlim',[.2 tf])
  legend('motor speed','synchronous speed',3) 

figure('Units','Normalized','Position',[.49 .50 .46 .35],'Name','Induction motor plug (abc)');  
       figure(2)
  plot(t(rg),Te(rg),'-b',t(rg),TL(rg),'-c'),grid,title('TORQUES'),xlabel('Time [s]'),ylabel('Torque [N.m]')
  legend('electromagnetic torque','load torque',4)
  set(gca,'Xlim',[.2 tf])
  
figure('Units','Normalized','Position',[.49 .07 .46 .33],'Name','Induction motor plug (abc)'); 
     figure(3)
  plot(spd(rg),Te(rg),'color',[.6 .2 .4],'Linewidth',1.5),grid,title('TORQUE-SPEED'),xlabel('Speed [rpm]'),ylabel('Torque [N.m]')   

figure('Units','Normalized','Position',[.02 .07 .46 .33],'Name','Induction motor plug (abc)');   
     figure(4)
  plot(t(rg),iar(rg),'-r',t(rg),ibr(rg),'-g',t(rg),icr(rg),'-b'),grid,title('ROTOR CURRENTS'),xlabel('Time [s]'),ylabel('Current [A]')
  set(gca,'Xlim',[.2 tf])
 
  figure('Units','Normalized','Position',[.02 .07 .46 .33],'Name','Induction motor plug (abc)');   
     figure(5)
  plot(t(rg),ibs(rg),'-g',t(rg),ics(rg),'-b',t(rg),ias(rg),'-r',t(rg),Is(rg),'-k'),grid,title('STATOR CURRENTS'),xlabel('Time [s]'),ylabel('Current [A]')
  set(gca,'Xlim',[.2 tf])
  
 
 
     