% plots for SMabcstart6.mdl
close all

spdrg=ones(1,length(t));
Te=y(:,1);spd=y(:,3);TL=y(:,2);pos=y(:,4);
ias=x(:,1);
ikd=x(:,4);
ang=180/pi*(wo*t-pos)-90;               
 angle=mod(ang,360);                       % Torque angle delta [o]
 lg=length(spd); 
 rg=round(.38*lg):lg;
 
figure('Units','Normalized','Position',[.02 .50 .46 .35],'Name','Synchronous motor start (abc)');
     figure(1)
  plot(t,spd,'-m'),grid,title('SPEEDS'),xlabel('Time [s]'),ylabel('Speed [pu]'),hold on
  plot(t,spdrg,'-r')
  legend('motor speed','synchronous speed',4) 

figure('Units','Normalized','Position',[.49 .50 .46 .35],'Name','Synchronous motor start (abc)');  
       figure(2)
  plot(t,Te,'-b',t,TL,'-c'),grid,title('TORQUES'),xlabel('Time [s]'),ylabel('Torque [pu]')
  legend('electromagnetic torque','load torque',4)
  
  
figure('Units','Normalized','Position',[.49 .07 .46 .33],'Name','Synchronous motor start (abc)'); 
     figure(3)
  plot(t,ikd,'-g'),grid,title('DAMPER CURRENT'),xlabel('Time [s]'),ylabel('damper current [pu]')   

  
  figure('Units','Normalized','Position',[.02 .07 .46 .33],'Name','Synchronous motor start (abc)');   
     figure(4)
  plot(t,ias,'-r'),grid,title('STATOR CURRENT'),xlabel('Time [s]'),ylabel('Stator current [pu]')
  
  figure('Units','Normalized','Position',[.01 .52 .45 .35],'Name','Reluctance motor' );
  figure(5)
  plot(t(rg),angle(rg),'color',[0.5 0 0]);title('Reluctance motor start','color','r');xlabel('Time [s]'),ylabel('Torque angle \delta [o]'),grid
 
   figure('Units','Normalized','Position',[.46 .52 .45 .35],'Name','Reluctance motor');
   
  figure(6)
  pt=fix(.784*lg); aa=[angle(pt) spd(pt)]; bb=[angle(pt+10) spd(pt+10)]; 
  plot(angle(rg),spd(rg),'color',[0.7 0.2 0]);title('Reluctance motor start','color','r');
    xlabel('Torque angle \delta [o]'),ylabel('Speed [pu]'),grid,hold on,
    vecarrow(aa,bb,'r')
  hold off  