%rotating sinusoidal winding and air gap flux density distribution
clear,clc,close all

ns=16;rs=1.55;z=0;d=0;e=0;
q=0:pi/80:2*pi;

aviwave=avifile('macr1.avi');

figure('units','normalized','Position',[.1 .1 .2 .25],'Name','Field distribution due to sinusoidal winding',...
        'NumberTitle','off');
 %
  theta0=(0:10:360)*pi/180;
 ax=axes('Xlim',[-2.2 2.2],'Ylim',[-2.2 2.2]);
 
  
rsd=1.5;ds=0;
for e=0:2:358
      beta=e*pi/180;
       set(gcf,'color','w')
 


q=0:pi/80:2*pi;
thetad=(0:10:360)*pi/180;

ud=cos(thetad).*cos(thetad);
vd=cos(thetad).*sin(thetad);
xd=cos(thetad); yd=sin(thetad);

p1=plot(xd,yd,'y');hold on
fill(1.8*cos(q),1.8*sin(q),[.6 .6 .6],'LineWidth',1.0);
fill(1.25*cos(q),1.25*sin(q),[.95 .98 .95]);
fill(.75*cos(q),.75*sin(q),[.6 .6 .6]);  

g3=plot(0,0,'xb',[0 2.2 1.9 2.2 1.9],[0 0 .1 0 -.1],'color','m','LineWidth',2);
rotate(g3,[0 0 1],e,[0 0 0])  

h0=quiver('v6',xd,yd,ud,vd,1,'b');
rotate(h0,[0 0 1],e,[0 0 0])
%h0=quiver(xd,yd,ud,vd,1,'b');



%text(-1.6,1.97,'ROTATING SINUSOIDAL WINDING','FontSize',12,'FontWeight','bold','color','blue')
text(-1,-2.3,'Resultant','FontSize',14,'FontWeight','bold','color','m');

axis square
set(gca,'Xlim',[-2.2 2.2],'Ylim',[-2.2 2.2])%,'visible','off')
hold off
 g=getframe(gca); 
 aviwave=addframe(aviwave,g);
    
end     
 aviwave=close(aviwave); 
    

    uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','close,clear,close all', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.6 0.03 0.09 .05], ...
	'String','Quit', ...
    'TooltipString','Quit');   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 