%smcapcalc.m
clc
h=findobj(gcf,'Tag','Vta');Va=str2double(get(h,'string'));
h=findobj(gcf,'Tag','pf');pf=str2double(get(h,'string'));
h=findobj(gcf,'Tag','Ia');Ia=str2double(get(h,'string'));
h=findobj(gcf,'Tag','X');Xs=str2double(get(h,'string')); 
%Va=1;pf=.9;Ia=1;Xs=1.2; %default
%if abs(pf)>1, error('          Pf must be <= 0'); end
if abs(pf)>1,
 warndlg('  abs(pf) must be <= 1','error');
 Fs=4096; 
 w=1500; t=0:1/Fs:.15;
 y=sin(w*t);
 sound(y,Fs)
 break
end 
A=Va*Ia;
D=Va^2/Xs;
phio=acos(abs(pf));
if pf<0, s=-1; else s=1; end
Po1=A*cos(phio);  Qo1=A*sin(s*phio);
Po=sprintf('%5.3f',Po1); Qo=sprintf('%5.3f',Qo1);
deltao=atan(Po1/(Qo1+D)); 
del1=deltao*180/pi;
if del1<0
 warndlg('  unstable conditions','error');
 Fs=4096; 
 w=1500; t=0:1/Fs:.15;
 y=sin(w*t);
 sound(y,Fs)
 break
end 
del=sprintf('%5.2f',del1);
phio01=s*phio*180/pi;
phio0=sprintf('%5.2f',phio01);
Ef1=Po1*Xs/(Va*sin(deltao));
Ef=sprintf('%5.3f',Ef1);
B=Va*Ef1/Xs;
gamo=asin(D/A);
delta=pi/2-deltao:.01:pi/2;
phi=-gamo:0.01:s*phio;
x1=A*cos(phi);
x2=A*sin(phi);
y1=B*cos(delta);
y2=B*sin(delta)-D;
%
plot(0,0,'-c',0,0,'-r',0,0,'-b'),hold on
legend('Stability limited','Armature limited','Field limited',4)
plot([0 A*cos(gamo)],[-D -D],'-c','linewidth',3),...
    xlabel('Per-unit power P','color','b','fontweight','b'),...
    ylabel('   (lead)   |      Per-unit reactive power Q  | (lag)','color','b','fontweight','b')
   
%a1=[0 A*cos(gamo) x1 y1 0 0];
%b1=[-D+.01 -D+.01 x2 y2 B-D -D]; 
%fill(a1,b1,[.8 .8 .8])
plot(x1,x2,'r','linewidth',3)
plot(y1,y2,'b','linewidth',3)
plot([0 0],[B-D -D],'k','linewidth',3)
plot([0 1.2*A],[0 0],'k')
plot([0 Po1],[-D Qo1],'w')
plot([0 Po1],[0 Qo1],'w')
plot([0 A*cos(gamo)],[0 -D],'w')
co=[.5 .4 .3];
 text(Po1+.1,Qo1+.1,[ 'Po = ',Po,' |  \delta_o= ',del],'color',co,'fontsize',13)
 text(Po1+.1,Qo1,[ 'Qo = ',Qo,' | \phi_o= ',phio0],'color',co,'fontsize',13)
 text(Po1+.2,Qo1-.1,[ ' Ef_o= ',Ef],'color',co,'fontsize',13)
 plot(Po1,Qo1,'ok','markersize',8,'markerfacecolor','k')
 plot(0,0,'xk','markersize',9)
 plot(0,-D,'xk','markersize',9)
vecarrow([0 -D],[B*cos(pi/2-deltao) -D+B*sin(pi/2-deltao)],'b')
vecarrow([0 0],[.99*A*cos(phio) .99*A*sin(s*phio)],'r')
text(1.05*A*cos(phio),1.05*A*sin(-phio),'V_aI_a','color','r')
text(1.05*B*cos(1.2),-D+1.03*B*sin(1.2),'V_aE_f/X_s','color','b')
text(0.04,-D+.06,'-V_a^2/X_s','color','k')
text(.08,-D+.4,'\delta_o','color','b','fontsize',13)
text(.15,.04,'\phi_o','color','r','fontsize',13),grid
axis equal
%
 
hold off
 %