%    MOVIE OF ROUND ROTOR SYNCHRONOUS GENERATOR
clc,clear,close all
disp(date)
info= ...  
        ['           Round rotor synchronous generator             '
         '               elementary  configuration                 '];
            
disp(info)
%warning off
aviwave=avifile('smgen.avi','compression','cinepak');
d=0;ns=2;nr=2;z=0;alpha=2*pi/3;
rs=.7;Ro=.85;Ri=.56; Rr=.5;bxy=1.0;rr=.4;
%
 figure('units','normalized','Position',[.3 .2 .4 .5],'Name','INDUCTION MOTOR',...
        'NumberTitle','off');
 set(gcf,'color','w') 
for e=0:2:358
      z-z+1;
      beta=e*pi/180;
      q=0:pi/60:2*pi;
      fill(Ro*cos(q),Ro*sin(q),[.6 .6 .6],'LineWidth',1.5),hold on
      fill(Ri*cos(q),Ri*sin(q),[.95 .9 .9],'LineWidth',1.5)
      fill(Rr*cos(q),Rr*sin(q),[.6 .6 .6],'LineWidth',1.5)
   
     %phase A    
     thetas=0:2*pi/ns:2*pi; 
     fs=cos(thetas+.00001)*cos(beta);
 for w=1:ns
        dd=abs(fs(w));
         if fs(w)>0; cc='ko';pp=.6;
               else cc='kx';pp=.6;
         end     
         h0=plot(0,rs,'ko','MarkerSize',22,'MarkerFacecolor','w');
         rotate(h0,[0 0 1],d,[0 0 0])
         m3=plot(0,rs,'ko','MarkerSize',dd*22,'MarkerFacecolor','r');
         rotate(m3,[0 0 1],d,[0 0 0])
         m4=plot(0,rs,cc,'MarkerSize',dd*22*pp,'MarkerFacecolor','k','linewidth',2);
         rotate(m4,[0 0 1],d,[0 0 0])
         %d=d+360/ns;
            
      
       %phase B
       
     fsb=cos(thetas+.00001)*cos(beta-alpha);
      
        ddb=abs(fsb(w));
         if fsb(w)>0; cc='ko';pp=.6;
               else cc='kx';pp=.6;
         end     
         b0=plot(0,rs,'ko','MarkerSize',22,'MarkerFacecolor','w');
         rotate(b0,[0 0 1],d+120,[0 0 0])
         b3=plot(0,rs,'ko','MarkerSize',ddb*22,'MarkerFacecolor','g');
         rotate(b3,[0 0 1],d+120,[0 0 0])
         b4=plot(0,rs,cc,'MarkerSize',ddb*22*pp,'MarkerFacecolor','k','linewidth',2);
         rotate(b4,[0 0 1],d+120,[0 0 0])
         %d=d+360/ns;
        
       
      %phase C
       thetas=0:2*pi/ns:2*pi; 
     fsc=cos(thetas+.00001)*cos(beta+alpha);
      
        ddc=abs(fsc(w));
         if fsc(w)>0; cc='ko';pp=.6;
               else cc='kx';pp=.6;
         end     
         h0=plot(0,rs,'ko','MarkerSize',22,'MarkerFacecolor','w');
         rotate(h0,[0 0 1],d-120,[0 0 0])
         m3=plot(0,rs,'ko','MarkerSize',ddc*22,'MarkerFacecolor','b');
         rotate(m3,[0 0 1],d-120,[0 0 0])
         m4=plot(0,rs,cc,'MarkerSize',ddc*22*pp,'MarkerFacecolor','k','linewidth',2);
         rotate(m4,[0 0 1],d-120,[0 0 0])
         d=d+360/ns;
 end      
                   
      dr=0;  %rotor
      for w=1:nr
          h3=plot(0,rr,'ko','MarkerSize',18,'MarkerFacecolor','m');
          rotate(h3,[0 0 1],dr+e-90,[0 0 0])
          if dr<180
            h4=plot(0,rr,'kx','MarkerSize',12,'MarkerFacecolor','m','linewidth',3);  
            rotate(h4,[0 0 1],dr+e-90,[0 0 0])
           else  
            h5=plot(0,rr,'ko','MarkerSize',10,'MarkerFacecolor','k','linewidth',2);  
            rotate(h5,[0 0 1],dr+e-90,[0 0 0])
          end   
         dr=dr+360/nr;
       end 
       g1=plot(0,0,'xr',[0 1 .9 1 .9],[0 0 .05 0 -.05],'color','m','LineWidth',4);
       rotate(g1,[0 0 1],e+90,[0 0 0])
       plot(0,0,'ko','MarkerSize',8,'linewidth',2)
          set(gca,'Xlim',[-bxy bxy],'Ylim',[-bxy bxy],'visible','off')
          axis square
      hold off
               
      f=getframe(gca);
      aviwave=addframe(aviwave,f);
end
      aviwave=close(aviwave);
      %  
     
   
