%SMicload.m     SYNCHRONOUS MACHINE PARAMETERS ,OPERATING POINT & IC's
disp(date)
% ------------------------  DATA  --------------------------------------------
h=findobj(gcf,'Tag','Ra');Ra=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Ld');Ld=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lq');Lq=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lal');Lal=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rf');Rf=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lfl');Lfl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rkd');Rkd=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lkdl');Lkdl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rkq');Rkq=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lkql');Lkql=str2num(get(h,'string'));
h=findobj(gcf,'Tag','H');H=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Bm');Bm=str2num(get(h,'string'));
h=findobj(gcf,'Tag','freq0');freq0=str2num(get(h,'string'));
h=findobj(gcf,'Tag','I');I=str2num(get(h,'string')); 
h=findobj(gcf,'Tag','V');V=str2num(get(h,'string'));
h=findobj(gcf,'Tag','tc');tc=str2num(get(h,'string'));
h=findobj(gcf,'Tag','pf');pf=str2num(get(h,'string'));
h=findobj(gcf,'Tag','mode');mode=str2num(get(h,'string'));     
            wo=2*pi*freq0 ;bet=0 ;
     
               disp('     MACHINE PARAMETERS in per unit:            ')
disp('   Ra         Ld        Lq         Lal  ')
disp([Ra Ld Lq Lal])
disp('    Rf        Lfl       Rkd       Lkdl        Rkq       Lkql       H ')
param1=[Rf Lfl Rkd Lkdl Rkq Lkql H]; 
disp(param1)
%
      thetapf=acos(pf)
     
%  --------------------- MODE OF OPERATION  (motor convention) --------------
%              theta=thetapf    <=== under-excited motor (lagging pf).
%              theta=-thetapf   <=== over-excited motor  (leading pf).
%              theta=thetapf-pi <=== over-excited  generator (lagging pf).
%              theta=-thetapf+pi<=== under-excited  generator (leading pf).
s1='Under-excited motor'; s2='Over-excited motor';          
s3='Over-excited generator'; s4='Under-excited generator';

 
  if mode==1 ,theta=thetapf, md=s1; elseif mode==2 , md=s2;theta=-thetapf;
     elseif mode==3, theta=thetapf-pi; md=s3; elseif mode==4, theta=thetapf-pi; md=s4;
     else error('     1 or 2 or 3 or 4 only valid') ;end
      
      %        Steady-state calculation of operating point:                  
    j=sqrt(-1);
    Lmd=Ld-Lal;Lmq=Lq-Lal ;
    Eq1=V-(Ra+j*Lq)*I*exp(-j*theta);
    delta0=-angle(Eq1);
    Eq=abs(Eq1);
    Ia=I*exp(j*(pi/2+delta0-theta));
    Vt=V*exp(j*(pi/2+delta0))      ;
        id0=real(Ia) ; iq0=imag(Ia)  ;
        vd0=real(Vt) ; vq0=imag(Vt)  ;
    Ef0=vq0-Ra*iq0-Ld*id0; if0=Ef0/Lmd;
    Te0=Eq*iq0;Tl0=Te0;
disp(' Operating point  (motor conventions)  :                ')
disp('   vd0       vq0        id0       iq0        if0       Te0 ')
disp([vd0 vq0 id0 iq0 if0 Te0]) 
disp('   delta0     theta0                      ')
disp([delta0*180/pi theta*180/pi])
figure(1) 
axis ('equal')
x3=[vd0-.1 id0-.1 -.1 if0+.1];
 y3=[vq0+.1 iq0+.1 Ef0+.1 -.1];
phasor=['Vt' 
        'Ia' 
        'Ef'
        'If'];
figure(1)     
plot(0,0,'xk'),grid,hold on
vecarrow([0 0],[0 Ef0],'c')
vecarrow([0 0],[if0 0],'g')
vecarrow([0 0],[id0 iq0],'r')
vecarrow([0 0],[vd0 vq0],'k')
title(' Prefault phasor conditions','color','b','fontsize',14)
v=axis;
text(x3,y3,phasor),text(.5*v(2),.7*v(4),md,'color',[.9 .1 .5]),hold off,pause(4);
close(1)
%                 PARAMS     
      L=[Lal+Lmd    0     Lmd     0       Lmd
           0    Lal+Lmq   0       Lmq      0
         Lmd       0      Lmd+Lkdl 0      Lmd
         0       Lmq      0       Lmq+Lkql 0
         Lmd       0       Lmd     0      Lmd+Lfl];
  L_1=inv(L); 
  
   %              PARAMS for mod2    
     Lw=[Lal+Lmd    0     Lmd    
           0    Lal+Lmq   0    
         Lmd       0   Lmd+Lfl];
      Lw_1=inv(Lw);
%     Initial conditions:
           phid=Ld*id0+Lmd*if0   ;  phiq=Lq*iq0 ;fa0=[phid;phiq];
           phif0=(Lmd+Lfl)*if0+Lmd*id0;
           phikd=Lmd*(id0+if0)   ; phikq=Lmq*iq0;fk0=[phikd;phikq];
           n0=1.0 ;   Tl=Te0      ; vf0=Rf*if0   ;
  
%