% Steady-state characteristics of a synchronous machine
%DATA
V=eval(get(hV,'String'));
E=eval(get(hE,'String'));
X=eval(get(hX,'String'));
P=eval(get(hP,'String'));
%
load('er');
if P==0
    P=.0001; 
end
Emin=abs(P)*X/V;
Pmax=E*V/X;
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'Position',[0.11 0.06 0.76 .04], ...
	'String','                                                              ', ...
	'Style','text');  
if E<Emin || abs(P)>Pmax ||V<0 || E<0 
    uicontrol('Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 0 0], ...
	'HorizontalAlignment','left', ...
	'Position',[0.11 0.06 0.68 .03], ...
	'String',' V, E, X must be positive | Increase E and/or decrease P or X', ...
	'Style','text'); 
sound(y);
   errordlg('Solution does not exist','error')    
   error('  V, E, X must be positive | Increase E and/or decrease P or X')
end
do=asin(abs(P)*X/(E*V));
if P>0 ,d=-do; elseif P<0,d=do; end
Ed=E*cos(d); Eq=E*sin(d);
Ebar=Ed+1i*Eq;
Vd=V; Vq=0;
Vbar=Vd+1i*Vq;
Ibar=(Vbar-Ebar)/(1i*X);
Id=real(Ibar); Iq=imag(Ibar);
%
figure('Units','normalized','Position',[.486 .074 .476 .72],'Name','PHASOR DIAGRAM OF SYNCHRONOUS MACHINE',...
         'NumberTitle','on',...
         'DoubleBuffer','off');
vecarrow([0 0],[Vd 0],'k'),grid,hold on
vecarrow([0 0],[Ed Eq],'b')
vecarrow([Ed Eq],[Vd Vq],'g')
vecarrow([0 0],[Id Iq],'r')
%plot(0,0,'kx','MarkerSize',10)
title('Phasor diagram of synchronous machine','Fontweight','b','color','r')
 axis ('equal') 
h=findobj(gca,'Type','line');
set(h,'LineWidth',2)
hr=h(length(h):-1:1);
 legend(hr,'V','E','jXI','I')
 plot(0,0,'kx','MarkerSize',10,'linewidth',2)
 hold off     

