%smplot1.m script file associated with smstep1.mdl
%when <MOVIE> is double clicked, 
%the model is run, and the results plotted.
%Transient response of a single machine with a step load

   avimov=avifile('smtranmovie5.avi','compression','cinepak');
   
 delta=y(:,1);
 wm=y(:,2);  
   
 for k=1:length(t)
     figure('Units','normalized','Position',[0.05 0.17 .9 .75],'Name','SYNCHRONOUS MACHINE','NumberTitle','on') 
     
 subplot(1,2,1) 
   compass(1.03*exp(j*delta(k)));hold on
   compass(1,0,'r')
   set(findobj(gca,'Type','line'),'LineWidth',2)
   hold off
    title('Voltage space vectors in motion','Fontweight','b','fontsize',14), 
   text(-0.25,-2.6,'Step load:','color',[.2 .6 .2],'Fontweight','b','fontsize',12), 
        if t(k)<1,text(-0.25,-2.85,'P = 0','FontSize',12,'FontWeight','bold','color','w')
          elseif t(k)>=1 & t(k)<3,text(-0.25,-2.85,'P = 1.0','FontSize',12,'FontWeight','bold','color','y') 
          elseif t(k)>=3 & t(k)<6,text(-0.25,-2.85,'P = 2.3','FontSize',12,'FontWeight','bold','color','b')    
          else
            text(-.25,-2.85,'P = 2.6','FontSize',12,'FontWeight','bold','color','r')
      end 
   set(gca,'Xlim',[-1.75 1.75],'Ylim',[-1.75 1.75],'visible','off')
   axis ('equal')
   hold off
   
    subplot(1,2,2)
 plot(delta*180/pi,wm,'-r',delta(k)*180/pi,wm(k),'*b'),title('Transient response','fontsize',14),grid
 xlabel('Angle [o]','color',[.2 .6 .2],'Fontweight','b','fontsize',12), 
 ylabel('Speed [pu]','color',[.2 .6 .2],'Fontweight','b','fontsize',12),   
  
 f=getframe(gcf);
      avimov=addframe(avimov,f);  
end  

  avimov=close(avimov); 
  
  uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','close,clear,close all', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.63 0.05 0.09 .06], ...
	'String','Quit', ...
    'TooltipString','Quit');