%SMvecstartdef.m     SYNCHRONOUS MACHINE PARAMETERS AND OPERATING POINT
clc,clear,close all
disp(date)
%     SYNCHRONOUS MACHINE PARAMETERS 

% ------------------------  DATA  --------------------------------------------
%                      Machine parameters (pu) :
        Ra=.020;           %Stator resistance     
        Ld=1.15;           %Direct-axis synchronous inductance
        Lq=.70;            %Quadrature-axis synchronous inductance 
        Lal=0.15;          %Armature leakage inductance
        Rf=0.015;          %Field resistance
        Rfd=0.185;         %Field discharge resistance
        Lfl=0.20;         %Field leakage inductance
        Rkd=0.2;           %Direct-axis damper resistance 
        Lkdl=0.32;         %Direct-axis damper leakage inductance
        Rkq=0.2;           %Quadrature-axis damper resistance
        Lkql=0.26;         %Quadrature-axis damper leakage inductance
        freq0=60;          %Frequency [Hz]
        H=1.0;             %Inertia constant [s]
        Bm=1e-8;           %Damping coefficient
        Rfstart=Rf+Rfd;
        Lmd=Ld-Lal;
        Lmq=Lq-Lal; 
        wo=2*pi*freq0 ;
        V=1  ; bet=0;
% ----------------------------------------------------------------------------
               disp('     MACHINE PARAMETERS in per unit:            ')
disp('   Ra         Ld        Lq         Lal  ')
disp([Ra Ld Lq Lal])
disp('    Rf        Lfl       Rkd       Lkdl        Rkq       Lkql       H ')
param1=[Rf Lfl Rkd Lkdl Rkq Lkql H]; 
disp(param1)
%   ---------------------------------------------------------------------------
%                 INDUCTANCES    
     L=[Lal+Lmd    0     Lmd       0      Lmd
           0    Lal+Lmq   0       Lmq      0
         Lmd       0      Lmd+Lkdl 0      Lmd
         0       Lmq      0       Lmq+Lkql 0
         Lmd       0       Lmd     0      Lmd+Lfl];
L_1=inv(L); %Inverse inductance matrix 
%  ----------------------------------------------------------------------------




      