%    SPACE VECTORS in dq FRAMES
clc,clear,close all
disp(date)
info= ...
        ['                   FIELD ORIENTATION                  ' 
         '           [Balanced sinusoidal steady state]         '  
         ' This demo shows the motion of the space vectors fr   '   
         ' and Is in a synchronous rotating frame.Attaching this'
         ' dq frame to the rotor flux results in setting frq=0. '  
         ' Torque is proportional to the cross product of fr and'
         ' Is or Te = k|fr||Is|sin(delta).In the field oriented '
         ' case, Te = k fr Isq. In steady state, all the        '
         ' variables are constants when expressed in the        '
         ' synchronous frame.                                   '
         '                                                      '];  
disp(info)  
avitut=avifile('spavecdq.avi','compression','cinepak');
%
      figure('units','normalized','Position',[.1 .1 .7 .4],'Name','Space vector in dq frame ',...
        'NumberTitle','off');
      set(gcf,'color','w')   
    e=0;
    Er=pi/6; %orientation of PSIr relative to dq axes
    Es=pi/3; %orientation of Is relative to dq axes
    Mr=1.5;  %magnitude of PSI
    Ms=2.0;  %magnitude of Is
    zx=.8;zy=0.08;
    fdxs=Ms*cos(Es);fdys=Ms*sin(Es);
    fdxr=Mr*cos(Er);fdyr=Mr*sin(Er);
    fds=Ms*cos(Es-Er); fdr=Ms*sin(Es-Er);
    
for k=1:360
    subplot(1,2,1)
     far=Mr*cos(Er); fbr=Mr*sin(Er);
     fas=Ms*cos(Es); fbs=Ms*sin(Es);
     plot([-2.2 2.2],[0 0],'b'),hold on
     plot([0 0],[-2.2 2.2],'b')
     text(2.1,-0.1,'\alpha','color','b')
     text(-.18,2.15,'\beta','color','b')
     plot(0,0,'kx','MarkerSize',10,'linewidth',2)
      text(-1.7,-2.5,'Synchronous dq frame','color','r','Fontweight','b','fontsize',12)
      text(-1.5,-2.8,'(arbitrary orientation)','color','r','Fontweight','b','fontsize',12)
      text(2.1,2.6,'Torque = k \lambda_r\otimes I_s','color','k','Fontweight','b','fontsize',12)
      text(2.94,2.1,'= k |\lambda_r| |I_s| sin \delta','color','k','Fontweight','b','fontsize',12)
      text(2.94,1.6,'= k_1 i_s_d i_s_q','color','k','Fontweight','b','fontsize',12)
    hd=plot([-2.2 2.2],[0 0],'color','r');  
    rotate(hd,[0 0 1],e,[0 0 0])
    htextd=text(2.1,-0.1,'d','color','r');
    rotate(htextd,[0 0 1],e,[0 0 0])
    htextq=text(-0.16,2.1,'q','color','r');
    rotate(htextq,[0 0 1],e,[0 0 0])
    hq=plot([0 0],[-2.2 2.2],'color','r') ;
    rotate(hq,[0 0 1],e,[0 0 0])
    h6=text(.4,.5,'\delta','color','c','fontsize',12,'fontweight','bold'); 
    rotate(h6,[0 0 1],e,[0 0 0])
    h31=plot([0 Mr],[0 0],'g');
    h32=patch([zx*Mr Mr zx*Mr zx*Mr],[zy*Mr 0 -zy*Mr zy*Mr],'g','edgecolor','g');
    rotate(h31,[0 0 1],e+30,[0 0 0])
    rotate(h32,[0 0 1],e+30,[0 0 0])
    h7=text(fdxr+.1*sign(fdxr),fdyr+.1*sign(fdyr),'\lambda_r','color','g','fontsize',20,'fontweight','bold');
    rotate(h7,[0 0 1],e,[0 0 0])
    h81=plot([0 Ms],[0 0],'m');
    h82=patch([zx*Ms Ms zx*Ms zx*Ms],[zy*Ms 0 -zy*Ms zy*Ms],'m','edgecolor','m');
    rotate(h81,[0 0 1],e+60,[0 0 0])
    rotate(h82,[0 0 1],e+60,[0 0 0])
    h5=text(fas+.1*sign(fas),fbs+.1*sign(fbs),'I_s','color','m','fontsize',20,'fontweight','bold');
    rotate(h5,[0 0 1],e,[0 0 0])
          
    set(findobj(gca,'Type','line'),'LineWidth',2)  
      set(gca,'Xlim',[-2.5 2.5],'Ylim',[-2.5 2.5],'visible','off')
      axis ('equal')
      hold off
      
    subplot(1,2,2) 
     plot(0,0,'kx','MarkerSize',10,'linewidth',2),hold on
     plot([-2.2 2.2],[0 0],'b')
     plot([0 0],[-2.2 2.2],'b') 
     text(2.1,-0.1,'\alpha','color','b')
     text(-.19,2.15,'\beta','color','b')
     text(-1.5,-2.5,'Synchronous dq frame','color','r','Fontweight','b','fontsize',12)
    text(-1.5,-2.85,'(oriented on rotor flux linkage \lambda_r)','color','r','Fontweight','b','fontsize',12)
    text(0.1,0.17,'\lambda_r_q = 0','color','k')
    hd=plot([-2.2 2.2],[0 0],'color','r');  
    rotate(hd,[0 0 1],e+30,[0 0 0])
    htextd=text(2.1,-0.1,'d','color','r');
    rotate(htextd,[0 0 1],e+30,[0 0 0])
    htextq=text(-0.16,2.1,'q','color','r');
    rotate(htextq,[0 0 1],e+30,[0 0 0])
    hq=plot([0 0],[-2.2 2.2],'color','r') ;
    rotate(hq,[0 0 1],e+30,[0 0 0])
    h5=text(fas+.1*sign(fas),fbs+.1*sign(fbs),'I_s','color','m','fontsize',20,'fontweight','bold');
    rotate(h5,[0 0 1],e,[0 0 0])
    h1=text(1.12*(fas+.1*sign(fas)),.8*(fbs+.1*sign(fbs)),'i_s_q','color','k','fontsize',12,'fontweight','bold');
    rotate(h1,[0 0 1],e,[0 0 0])   
    h0=text(fdxr-.38*sign(fdxr),fdyr-.45*sign(fdyr),'i_s_d','color','k','fontsize',12,'fontweight','bold');
    rotate(h0,[0 0 1],e,[0 0 0])  
    h6=text(.4,.5,'\delta','color','c','fontsize',12,'fontweight','bold'); 
    rotate(h6,[0 0 1],e,[0 0 0])
     h31=plot([0 Mr],[0 0],'g');
    h32=patch([zx*Mr Mr zx*Mr zx*Mr],[zy*Mr 0 -zy*Mr zy*Mr],'g','edgecolor','g');
    rotate(h31,[0 0 1],e+30,[0 0 0])
    rotate(h32,[0 0 1],e+30,[0 0 0])
    h4=text(fdxr+.1*sign(fdxr),fdyr+.1*sign(fdyr),'\lambda_r','color','g','fontsize',20,'fontweight','bold');
    rotate(h4,[0 0 1],e,[0 0 0])
    h71=plot([0 Ms],[0 0],'m');
    h72=patch([zx*Ms Ms zx*Ms zx*Ms],[zy*Ms 0 -zy*Ms zy*Ms],'m','edgecolor','m');
    rotate(h71,[0 0 1],e+60,[0 0 0])
    rotate(h72,[0 0 1],e+60,[0 0 0])
    h1=plot([0 fds],[0 0],':k');
    rotate(h1,[0 0 1],e+30,[0 0 0])
    h2=plot([fds fds],[0 fdr],':k');
    rotate(h2,[0 0 1],e+30,[0 0 0])
    set(findobj(gca,'Type','line'),'LineWidth',2)  
      set(gca,'Xlim',[-2.5 2.5],'Ylim',[-2.5 2.5],'visible','off')
      axis ('equal')
      hold off
      %          
      f=getframe(gcf);
      avitut=addframe(avitut,f);
      e=e+1;
      Er=Er+pi/180;
     % M(k)=getframe;
 end
   avitut=close(avitut);
      %movie(M,4)
  %
