%    INDUCTION MACHINE WITH SINUSOIDAL WINDING ON STATOR AND SQUIRREL CAGE ROTOR
clc,clear,close all
disp(date)
info= ...
        ['         Stator current space vector              ' 
         '         Equivalent sinusoidal winding            '
         ' The animation lasts for one complete cycle at    '
         ' the base stator frequency and may be repeated    '
         ' any number of times. The squirrel cage rotor runs'
         ' at a prescribed per-unit speed n.                '
         ' A movie can also be run under Media Player by    '
         ' activating the "statisrot.avi" file just created.'
         '                                                  '];  
disp(info)
warning off
n =input('Per-unit rotor speed [default n=0.5] = ');
   if isempty(n) n=0.5; end; 

aviwave=avifile('statisrot.avi','compression','cinepak');
phis=pi/2;phim=0;dphi=pi/24;g=pi/8;h=pi/6;r2=.8;r3=.5;
%
  figure('units','normalized','Position',[.36 .09 .63 .73],'Name','SQUIRREL CAGE INDUCTION MOTOR',...
        'NumberTitle','off');
  set(gcf,'color','w')  
       
    for k=1:96
            
      fa1=.6*cos(phis);fb1=.6*sin(phis);
      fa2=.6*cos(phis+g);fb2=.6*sin(phis+g);
      fa3=.6*cos(phis+2*g);fb3=.6*sin(phis+2*g);
      fa4=.6*cos(phis+3*g);fb4=.6*sin(phis+3*g);
      fa5=.6*cos(phis+4*g);fb5=.6*sin(phis+4*g);
      fa6=.6*cos(phis+5*g);fb6=.6*sin(phis+5*g);
      fa7=.6*cos(phis+6*g);fb7=.6*sin(phis+6*g);
      fa8=.6*cos(phis+7*g);fb8=.6*sin(phis+7*g);
      fa9=.6*cos(phis+8*g);fb9=.6*sin(phis+8*g);
      fa10=.6*cos(phis+9*g);fb10=.6*sin(phis+9*g);
      fa11=.6*cos(phis+10*g);fb11=.6*sin(phis+10*g);
      fa12=.6*cos(phis+11*g);fb12=.6*sin(phis+11*g);
      fa13=.6*cos(phis+12*g);fb13=.6*sin(phis+12*g);
      fa14=.6*cos(phis+13*g);fb14=.6*sin(phis+13*g);
      fa15=.6*cos(phis+14*g);fb15=.6*sin(phis+14*g);
      fa16=.6*cos(phis+15*g);fb16=.6*sin(phis+15*g);
      
      Fa1=.4*cos(phim);Fb1=.4*sin(phim);
      Fa2=.4*cos(phim+h);Fb2=.4*sin(phim+h);
      Fa3=.4*cos(phim+2*h);Fb3=.4*sin(phim+2*h);
      Fa4=.4*cos(phim+3*h);Fb4=.4*sin(phim+3*h);
      Fa5=.4*cos(phim+4*h);Fb5=.4*sin(phim+4*h);
      Fa6=.4*cos(phim+5*h);Fb6=.4*sin(phim+5*h);
      Fa7=.4*cos(phim+6*h);Fb7=.4*sin(phim+6*h);
      Fa8=.4*cos(phim+7*h);Fb8=.4*sin(phim+7*h);
      Fa9=.4*cos(phim+8*h);Fb9=.4*sin(phim+8*h);
      Fa10=.4*cos(phim+9*h);Fb10=.4*sin(phim+9*h);
      Fa11=.4*cos(phim+10*h);Fb11=.4*sin(phim+10*h);
      Fa12=.4*cos(phim+11*h);Fb12=.4*sin(phim+11*h);
      Fa13=.4*cos(phim+12*h);Fb13=.4*sin(phim+12*h);
      
        p=[0:pi/100:2*pi];
      X= r2*cos(p) ;Y=r2*sin(p);       
      x=r3*cos(p) ;y=r3*sin(p);
      
      fill(X,Y,[.86 .86 .86],'LineWidth',2),hold on
      fill(x,y,[1 1 1],'LineWidth',2)
      
      
      fill(.47*cos(p),0.47*sin(p),[.9 .9 .9],'LineWidth',2)
             
      plot(0,0,'xk',[0 1.5*fa13],[0 1.5*fb13],'-m',1.5*fa13,1.5*fb13,'ok','LineWidth',2)
                      
      plot(Fa1,Fb1,'ko','MarkerSize',15,'MarkerFacecolor','r')
      plot(Fa1,Fb1,'kh','MarkerSize',10,'MarkerFacecolor','k') 
      plot(Fa2,Fb2,'ko','MarkerSize',15,'MarkerFacecolor','r')
      plot(Fa3,Fb3,'ko','MarkerSize',15,'MarkerFacecolor','r')
      plot(Fa4,Fb4,'ko','MarkerSize',15,'MarkerFacecolor','r')
      plot(Fa5,Fb5,'ko','MarkerSize',15,'MarkerFacecolor','r')
      plot(Fa6,Fb6,'ko','MarkerSize',15,'MarkerFacecolor','r')
      plot(Fa7,Fb7,'ko','MarkerSize',15,'MarkerFacecolor','r')
      plot(Fa8,Fb8,'ko','MarkerSize',15,'MarkerFacecolor','r')
      plot(Fa9,Fb9,'ko','MarkerSize',15,'MarkerFacecolor','r')
      plot(Fa10,Fb10,'ko','MarkerSize',15,'MarkerFacecolor','r')
      plot(Fa11,Fb11,'ko','MarkerSize',15,'MarkerFacecolor','r')
      plot(Fa12,Fb12,'ko','MarkerSize',15,'MarkerFacecolor','r')
          
      plot(fa1,fb1,'ro','MarkerSize',15,'MarkerFacecolor','g')
      plot(fa2,fb2,'ro','MarkerSize',12,'MarkerFacecolor','g')
      plot(fa3,fb3,'ro','MarkerSize',10,'MarkerFacecolor','g')
      plot(fa4,fb4,'ro','MarkerSize',6,'MarkerFacecolor','g')
      plot(fa5,fb5,'ro','MarkerSize',2,'MarkerFacecolor','w')
      plot(fa6,fb6,'ro','MarkerSize',6,'MarkerFacecolor','b')
      plot(fa7,fb7,'ro','MarkerSize',10,'MarkerFacecolor','b')
      plot(fa8,fb8,'ro','MarkerSize',12,'MarkerFacecolor','b')
      plot(fa9,fb9,'ro','MarkerSize',15,'MarkerFacecolor','b')
      plot(fa10,fb10,'ro','MarkerSize',12,'MarkerFacecolor','b')
      plot(fa11,fb11,'ro','MarkerSize',10,'MarkerFacecolor','b')
      plot(fa12,fb12,'ro','MarkerSize',6,'MarkerFacecolor','b')
      plot(fa13,fb13,'ro','MarkerSize',2,'MarkerFacecolor','w')
      plot(fa14,fb14,'ro','MarkerSize',6,'MarkerFacecolor','g')
      plot(fa15,fb15,'ro','MarkerSize',10,'MarkerFacecolor','g')
      plot(fa16,fb16,'ro','MarkerSize',12,'MarkerFacecolor','g')
      
      text(-0.84,.9,'SQUIRREL-CAGE INDUCTION  MOTOR','FontSize',16,'FontWeight','bold','color','blue')
            
      set(gca,'Xlim',[-1.0 1.0],'Ylim',[-1.0 1.0],'visible','off')
      axis square
      %
      hold off
      %          
      f=getframe(gca);
      aviwave=addframe(aviwave,f);
      phis=phis+dphi;
      phim=phim+n*dphi;
      M(k)=getframe;
  end
      aviwave=close(aviwave);
       uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','movie(M,1)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.35 0.1 0.09 .05], ...
	'String','Repeat', ...
    'TooltipString','Repeat');
    uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','close,clear,close all', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.60 0.1 0.09 .05], ...
	'String','Quit', ...
    'TooltipString','Quit');
  %
