%V & C curves of the synchronous motor 
clear,close all

%DATA
% no saliency
V=1.0; X=1; Ra=0.002;
j=sqrt(-1);
%%%%%%
figure('Units','normalized','Position',[0.01 0.05 .52 .8],'Name',' SYNCHRONOUS MOTOR','NumberTitle','off') 
c=0;col='mcbgky';
for P1=[0 0.25 0.5 0.75 1 1.5];
    c=c+1;
    Emin=P1*X/V;
    
  E1=Emin:.02:3;
d=asin(P1*X./(E1*V));
   Ed1=E1.*cos(d); Eq1=-E1.*sin(d);
Ebar1=Ed1+j*Eq1;
Vbar1=V;
Ibar1=(Vbar1-Ebar1)/(j*X+Ra);
Imag1=abs(Ibar1);
%%%%%% PLOTS
plot(E1,Imag1,col(c)),hold on
h=findobj(gca,'Type','line');
 set(h,'LineWidth',2)
 legend('0','','0.25','','0.50','','0.75','','1.0','','1.50',4)
 plot(E1(1),Imag1(1),'squarer')
end
%%%%%%%%%
 co='rbk';
    b=0;
for pf=[-.8 .8 1]
    b=b+1;
  if pf<0, w=-1; else w=1; end   
phi=acos(abs(pf));
pf1=abs(pf);
P=0:.05:2;
Im=P/(V*pf1);    
Id=Im*pf1; Iq=w*Im*sin(phi);
Ibar=Id+j*Iq;
Ebar=V-(j*X+Ra)*Ibar;
Ed=real(Ebar); Eq=imag(Ebar); E=abs(Ebar);
delta=-angle(Ebar)*180/pi;
g=find(delta>90);
Im(g)=nan;
z=min(g)-1;
hy=Im(z);
hx=E(z);
plot(E,Im,co(b))
   title('V- and C- compounding curves','fontsize',14),
   xlabel('Excitation voltage E [pu]','color','b','fontsize',14),
   ylabel('Current I [pu]','color','r','fontsize',14) ,grid
plot(hx,hy,'squarer')
   axis([0 3 0 2]);
   h=findobj(gca,'Type','line');
   set(h,'LineWidth',2)
end

 text(1.01,1.5,'\itpf=0.8 lag','color','r','fontsize',14)
 text(2.04,1.5,'\itpf=0.8 lead','color','b','fontsize',14)
 text(1.9,1.85,'\itpf=unity','color','k','fontsize',14)
 plot(.13,1.9,'squarer')
 text(.18,1.9,'Stability limit','color','m','fontsize',12)
 text(.24,1.85,'\delta = 90^o','color','m','fontsize',12)
 text(2.48,0.71,'Power P:','color','b','fontsize',13)
 
 %%%%%%%%%%%%%%%%%%%%%%
 %delta versus E
%%%%%%
figure('Units','normalized','Position',[0.53 0.05 .45 .8],'Name',' SYNCHRONOUS MOTOR','NumberTitle','off') 
c=0;col='mcbgky';
for P1=[0 0.25 0.5 0.75 1.0 1.50];
      c=c+1;
    Emin=P1*X/V;
    E1=Emin:.002:3;
 d=asin(P1*X./(E1*V));
 dd=d*180/pi;
%%%%%% PLOTS
plot(E1,dd,col(c)),grid,hold on
  title('Synchronous motor ','fontsize',14),
   xlabel('Excitation voltage E [pu]','color','b','fontsize',14),
   ylabel('Torque angle \delta [o]','color','k','fontsize',14)
h=findobj(gca,'Type','line');
 set(h,'LineWidth',2)
 legend('0','0.25','0.50','0.75','1.0','1.50',1)
 axis([0 3 0 120])
end
plot([0 3],[90 90],'m--'),grid
text(2.45,95,'Power P:','color','b','fontsize',13)
 text(1,94,'Stability limit \delta = 90^o','color','m','fontsize',12)
  %%%%%%%%%

 
