% Parametric phasor diagrams of synchronous motor + V-curve
clear,close all
%DATA
V=1.0;
X=1;
P=1;
%
q=0;
Ed=[]; Eq=[]; Id=[]; Iq=[];Imag=[];Emag=[];

avimov=avifile('syncmot.avi','compression','cinepak');
     
for E=1.00002:.01:2.2002
    q=q+1;
d=asin(P*X/(E*V));

Ed1=E*cos(d); Eq1=-E*sin(d);
Ebar=Ed1+1i*Eq1;
Vd1=V; Vq1=0;
Vbar=V;
Ibar=(Vbar-Ebar)/(1i*X);
Id1=real(Ibar); Iq1=imag(Ibar);
Imag1=abs(Ibar);Emag1=E;
 Ed=[Ed Ed1]; Eq=[Eq Eq1]; Id=[Id Id1]; Iq=[Iq Iq1]; Imag=[Imag Imag1];Emag=[Emag Emag1];
end

for k=1:q
    figure('Units','normalized','Position',[0.05 0.17 .9 .55],'Name',' SYNCHRONOUS MOTOR','NumberTitle','on') 
 subplot(1,2,1) 
vecarrow([0 0],[V 0],'k'),hold on
vecarrow([0 0],[Ed(k) Eq(k)],'b')
vecarrow([Ed(k) Eq(k)],[V 0],'g')
vecarrow([0 0],[Id(k) Iq(k)],'r')
set(gca,'Xlim',[0 2],'Ylim',[-1.1 1]) 
axis('equal')
h=findobj(gca,'Type','line');
set(h,'LineWidth',2)
plot(Ed,Eq,'b--',Id,Iq,'r--')

for w=1:q
plot(Ed(w),Eq(w),'k')
plot(Id(w),Iq(w),'k')
end

plot(0,0,'kx','MarkerSize',10)
title('Parametric phasor diagrams of a synchronous motor','fontsize',12,'Fontweight','b','color','r'),
hr=h(length(h):-1:1);
 legend(hr,'V','E','jXI','I')
 plot(0,0,'kx','MarkerSize',10,'linewidth',2)
 a=axis;
 text(.1*a(2),.95*a(4),'V=1  X=1  P=1','color',[.2 .2 .1],'fontsize',12,'Fontweight','b')
 text(.1*a(2),.84*a(4),'E = 1:0.01:2','fontsize',12,'Fontweight','b')
 %%%%
 subplot(1,2,2)
 plot(Emag,Imag,'-b'),title('V-curve','fontsize',14),
 xlabel('Excitation voltage E','color','b','fontsize',12),
 ylabel('Current I','color','r','fontsize',12) ,grid,hold on
 plot(Emag(k),Imag(k),'ro','MarkerSize',5,'MarkerEdgeColor','r','MarkerFacecolor','r')
 h=findobj(gca,'Type','line');
 set(h,'LineWidth',2)
 b=axis;
 text(1.85*b(1),.97*b(3),'P=1','color',[.2 .2 .1],'fontsize',12,'Fontweight','b')
 axis([1 2.2 .95 1.5])
 hold off
 %%%%%
   f=getframe(gcf);
    avimov=addframe(avimov,f);
    % M(k)=getframe;
 end  
  avimov=close(avimov);
