%    MOVIE OF SPACE VECTORS in AC MACHINES
clc,clear,close all
disp(date)
info= ...
        ['                   SPACE VECTORS                    '                                
         ' This demo animates the motion of space vectors for '  
         ' the case of three-phase balanced sinusoidal signals'];
        
disp(info) 

aviwave=avifile('vecmovie7.avi','compression','cinepak');
n=180;
alpha=2*pi/3;phi=0;dphi=2*pi/n;w=180/pi;v=0.995;gam=exp(1i*alpha);
%
 figure('units','normalized','Position',[.04 .05 .88 .80],'Name','SPACE VECTORS ',...
        'NumberTitle','off');
 set(gcf,'color','w') 
    phim=0;
    bet=0:dphi:2*pi;
      fa1=cos(bet); fb1=cos(bet-alpha);fc1=cos(bet+alpha);
      FAx1=v*fa1; FAy1=0;
      FBx1=v*fb1*cos(alpha); FBy1=v*fb1*sin(alpha);
      FCx1=v*fc1*cos(alpha); FCy1=-v*fc1*sin(alpha);
      FRx1=v*(FAx1+FBx1+FCx1);   FRy1=v*(FAy1+FBy1+FCy1);
      
   for k=1:n
   subplot(1,2,1)
   
   phi=k*2*pi/180;
      fa=cos(phi); fb=cos(phi-alpha);fc=cos(phi+alpha);
      FAx=v*fa; FAy=0;
      FBx=v*fb*cos(alpha); FBy=v*fb*sin(alpha);
      FCx=v*fc*cos(alpha); FCy=-v*fc*sin(alpha);
      FRx=v*(FAx+FBx+FCx);   FRy=v*(FAy+FBy+FCy);
      
      %
      plot([-1.5 1.5 1.5 -1.5],[-1.5 -1.5 1.5 1.5],'k'),title('Space vectors in motion','FontSize',14,'FontWeight','bold','color','blue'),grid,hold on
       vecarrow([0 0],[FAx FAy],'r')
       vecarrow([FAx FAy],[FAx+FBx FAy+FBy],'g')
       vecarrow([FAx+FBx FAy+FBy],[FAx+FBx+FCx FAy+FBy+FCy],'b')
       vecarrow([0 0],[FRx FRy],'k')
       plot(FRx1,FRy1,':k')
       plot(0,0,'kx','MarkerSize',10)
      set(findobj(gca,'Type','line'),'LineWidth',2)
      text(.5,-2,'Phase A','FontSize',14,'FontWeight','bold','color','red')
      text(1.65,-2,'Phase B','FontSize',14,'FontWeight','bold','color','green')
      text(2.68,-2,'Phase C','FontSize',14,'FontWeight','bold','color','blue')
      text(0.5,-2.2,'Resultant rotating space vector','FontSize',14,'FontWeight','bold','color','black')
      axis square
      hold off
     
  %%%%%    
      subplot(1,2,2) 
     theta=0:pi/30:2*pi; 
      
      fA=cos(theta);
      fB=cos(theta-alpha);
      fC=cos(theta+alpha);
      fAo=cos(phim);
      fBo=cos(phim-alpha);
      fCo=cos(phim+alpha); 
      fR=fA+gam*fB+gam^2*fC;
           fRm=abs(fR);
            fR0=fa+gam*fb+gam^2*fc;
      fRm0=abs(fR0);
      plot(theta*w,fA,'-r','LineWidth',1.2),title('Three-phase sinusoidal signal','FontSize',14,'FontWeight','bold','color','blue'),
     xlabel('Phase angle [deg]','FontSize',12,'FontWeight','bold','color',[.5 0 .5]),grid,hold on
      plot(theta*w,fB,'-g','LineWidth',1.2)
      plot(theta*w,fC,'-b','LineWidth',1.2)
      plot(theta*w,.99*fRm,'-k','LineWidth',1.2)
      
      plot([0 360],[0 0],'-k','Linewidth',.5)
      
      plot(phi*w,fa,'ro','MarkerSize',6,'MarkerEdgeColor','r','MarkerFacecolor','r')
      plot(phi*w,fb,'go','MarkerSize',6,'MarkerEdgeColor','g','MarkerFacecolor','g')
      plot(phi*w,fc,'bo','MarkerSize',6,'MarkerEdgeColor','b','MarkerFacecolor','b')
       plot(phi*w,fRm0,'ko','MarkerSize',6,'MarkerEdgeColor','k','MarkerFacecolor','k')
      
     axis('square')
      set(gca,'Xlim',[0 360],'Ylim',[-1.5 1.5])
      set(gca,'Xtick',0:60:360)
      set(gca,'Xticklabel',{'0','60','120','180','240','300','360'})
      hold off
      f=getframe(gcf);
      aviwave=addframe(aviwave,f);
     % phim=phim+dphi;
  end
   aviwave=close(aviwave);
  
    uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','close,clear,close all', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.1 0.05 0.09 .05], ...
	'String','Quit', ...
    'TooltipString','Quit');
   %
