% vector operations represented by arrows
clear,clc,close all
ex=[' This script illustrates the representation of   '
    ' 2D vectors as arrows and how to manipulate them '
    ' using the following functions;                  '
    '   o vector_draw(xb,yb,xt,yt,co) draws an arrow  '
    '     defined by the coordinates of its base xb,yb'
    '     and tip xt,yt and by its color co.          '
    '   o vector_rotate(xb,yb,xt,yt,an,co) rotates the'
    '     arrow through the angle an (in degrees)     '
    '     about its base.                             '
    '   o vector_scale(xb,yb,xt,yt,K,co) readjusts the'
    '     length by the scale factor K.               '
    '   o vector_translate(xb,yb,xt,yt,xn,yn,co)      '
    '    relocates the arrow at the new position xn,yn'
    '   o vecarrow(A,B,co) gives a different rendition'
    '     of a spatial vector described by its start  '
    '     A=[xb yb] and tip B=[xt yt], and color co.  '];
%disp(ex)
h1=figure('units','normalized','Position',[.02 .05 .46 .5],...
    'Name','Vectors as arrows','NumberTitle','off');
%Vector A
xs=0 ;ys=0;xf=1; yf=0;
co='r';
vector_draw(xs,ys,xf,yf,co);hold on
text(xf,yf,'   A','color',co)

xn=2;yn=2;
vector_translate(xs,ys,xf,yf,xn,yn,co);
co='r';K=-2;
vector_scale(xs,ys,xf,yf,K,co);

xs=0 ;ys=0;xf=1; yf=0;an=90;
co='r';
vector_rotate(xs,ys,xf,yf,an,co);

%Vector B
xs=0 ;ys=0;xf=1; yf=-2;
co='b';an=0;
vector_rotate(xs,ys,xf,yf,an,co);
text(xf,yf,'   B','color',co)

xn=2;yn=2;
vector_translate(xs,ys,xf,yf,xn,yn,co);

%Vector C
xs=1 ;ys=0;xf=1; yf=-3;
co='g';an=0;
vector_draw(xs,ys,xf,yf,co);
text(xf,yf,'   C','color',co)

xs=1 ;ys=0;;xf=1; yf=-3;
co='g';an=45;
vector_rotate(xs,ys,xf,yf,an,co);

%%%% Vector P
co=[.4 .8 .8];
vecarrow([0 -1],[-1 -3],co)
text(-1,-3,'   P','color',co)
title('Vector operations using arrows')
hold off
%%
h0=helpdlg(ex,'Vectors as arrows');
set(h0,'Units','normalized','Resize','on','Position',[.1 .7 .2 .26])
open ('vectorpic.fig')
edit(which('vector_operations'))
%%%%%%%%%%%%%