%  vectrolrun9.m file used to enter machine parameters.
%  indirect vector control of induction motor using voltage excitation
%  detuning effects
clc,close all,clear
%           Machine parameters in per unit:                            
Rs=0.01 ; %Stator resistance
Rr=0.015; %Rotor resistance
Lsl=0.10; %Stator leakage inductance
Lrl=0.10; %Rotor leakage inductance
Lm=3.0  ; %Magnetizing inductance 
vs=1.0  ; %Stator voltage
ws=1.0  ; %Stator frequency
freq0=60; %Base frequency (Hz)
H=0.50  ; %Inertia constant (s)
Bm=1e-6 ; %Torque speed coefficient
fro=1.0 ; %Rotor flux linkage
%   
Ls=Lsl+Lm;  Lr=Lrl+Lm; %Stator and rotor inductances
Lsp=Lsl+Lm*Lrl/Lr;     %Stator transient inductance
wo=2*pi*freq0          %Base frequency [rad/s]
Tr=Lr/(wo*Rr);         %Rotor time constant [s]
%
%================> Close this window % Start the simulation