%waves1.m   TRAVELING & PULSATING WAVES in AC MACHINES
clc,clear,close all
disp(date)
info= ...
        ['        WAVES AND SPACE VECTORS IN AC MACHINES      '                                
         ' This demo animates the motion of traveling  waves  '  
         ' in AC machines. They represent the distribution of '
         ' magnetic fields in the air gap. Both the sinusoidal'   
         ' space-time distributions and the corresponding     '  
         ' space vector trajectories are exhibited.           '  
         '                                                    '];  
disp(info)      
ca=input('Specify amplitude unbalance factor 0<=ca<=1 \n  ca = ');
   if ca>1 | ca<0,   ca = 1;end;
cp=input('Specify phase unbalance factor -1<=cp<=1 \n  cp = ');
   if abs(cp)>1, cp=1;end;
c =input('Number of cycles  [default N=2.5] = ');
   if isempty(c) c=2.5; end; 
disp('                                              Calculating....')
%
f=60; T=1/f; w=2*pi*f;
theta=0:pi/60:2*pi;
t=0;dt=T/60;
%
 figure('Position',[15 60 980 370],'Name','WAVES ',...
         'NumberTitle','off');         
 h1=uicontrol( ...
          'Style','Popup',... 
          'Units','normalized', ...
	      'Callback','popwave', ...
	      'Position',[0.56 0.05 0.07 0.23], ...
	      'String','REPEAT|QUIT');
    while t<=c*T

      f1=cos(w*t)*cos(theta)+ca*cos(w*t-cp*pi/2)*sin(theta);
      fa=cos(w*t); fb=ca*cos(w*t-cp*pi/2);
      axes('Position',[0.05 0.1 .5 .8])
      plot(theta*180/pi,f1,'-r','LineWidth',1.0), title('WAVE SPACE DISTRIBUTION')
      set(gca,'Xlim',[0 360],'Ylim',[-1.5 1.5])
      set(gca,'Xtick',0:30:360),grid
       axes('Position',[0.55 0.1 .5 .8]);
      %plot(0,0,'xk',[0 fa],[0 fb],'-b',fa,fb,'or','LineWidth',1.5),
      compass(1.4,0.1,'w')%,hold on
      compass(fa,fb,'b')
      text(-.72,1.3,'MOTION OF SPACE VECTOR')
      %hold off
          % aviwave=addframe(aviwave,f);
      %title('SPACE VECTOR TRAJECTORY'),grid
      %set(gca,'Xlim',[-1.5 1.5],'Ylim',[-1.5 1.5])
      %text(-0.9,1.8,'SPACE VECTOR TRAJECTORY')
      %axis square
      t=t+dt;
      fprintf(1,'.')
      
end
    
